local CreditsScreen = {}

local umut_Sprite
local andac_Sprite
local backButton_Sprite
local baris_Sprite
local levelsBackground_Sprite
local kutay_Sprite
local screenHolder
local buttonPressEnabled
local menuInCompleted
local menuOut
local menuOutCompleted
local addButtonEventListeners
local removeButtonEventListeners

local mTimerList
local timerCount


local destroy_umut_Sprite
local destroy_andac_Sprite
local destroy_backButton_Sprite
local destroy_baris_Sprite
local destroy_levelsBackground_Sprite
local destroy_kutay_Sprite

local camera = {}
camera.boundedObject = nil
camera.leftBound = display.contentWidth * 0
camera.rightBound = display.contentWidth * 1
camera.topBound = display.contentHeight * 0
camera.bottomBound = display.contentHeight * 1
camera.initialHolderLeft = 0
camera.initialHolderRight = 0
camera.initialHolderTop = 0
camera.initialHolderBottom = 0
camera.initialHolderWidth = 0
camera.initialHolderHeight = 0

local leftBoundValue = 0
local rightBoundValue = 0
local topBoundValue = 0
local bottomBoundValue = 0

destroy_umut_Sprite = function ()
	display.remove(umut_Sprite)
	umut_Sprite = nil
end

destroy_andac_Sprite = function ()
	display.remove(andac_Sprite)
	andac_Sprite = nil
end

destroy_backButton_Sprite = function ()
	display.remove(backButton_Sprite)
	backButton_Sprite = nil
end

destroy_baris_Sprite = function ()
	display.remove(baris_Sprite)
	baris_Sprite = nil
end

destroy_levelsBackground_Sprite = function ()
	display.remove(levelsBackground_Sprite)
	levelsBackground_Sprite = nil
end

destroy_kutay_Sprite = function ()
	display.remove(kutay_Sprite)
	kutay_Sprite = nil
end

local startingXPos = 0
local startingYPos = 0
local function onScreenTouch(event)
	if event.phase == "began" then
		startingXPos = event.x
		startingYPos = event.y
	elseif event.phase == "moved" then
	elseif event.phase == "ended" or event.phase == "cancelled" then

		if event.x - startingXPos < -20 and math.abs(event.y - startingYPos) < math.abs(event.x - startingXPos) then
		end

		if event.x - startingXPos > 20 and math.abs(event.y - startingYPos) < math.abs(event.x - startingXPos) then
		end

		if event.y - startingYPos < -20 and math.abs(event.x - startingXPos) < math.abs(event.y - startingYPos) then
		end

		if event.y - startingYPos > 20 and math.abs(event.x - startingXPos) < math.abs(event.y - startingYPos) then
		end
	end
end

local function onAccelerometer(event)
end

local function onCollision( event )
	if ( event.phase == "began" ) then
	elseif ( event.phase == "ended" ) then
	end
end

local function backButton_SpriteTouchHandler(self, event)
	if event.phase == "began" then
		event.target.pressed = true
		display.getCurrentStage():setFocus( event.target, event.id )
		event.target.focus = true
	elseif event.phase == "moved" then
	elseif (event.phase == "ended" or event.phase == "cancelled") and event.target.pressed == true then
		if event.target.focus ~= true then
			return false
		end
		display.getCurrentStage():setFocus( event.target, nil )
		menuOut ( MainScreenMenuID )
	end
	return true
end

local function loadScreen ()
	screenHolder = display.newGroup()
	screenHolder.x = 0
	screenHolder.y = 0
	local screenHolderRect = display.newRect(screenHolder, 0, 0, display.contentWidth, display.contentHeight)
	screenHolderRect.alpha = 0

	cameraHolder = display.newGroup()
	cameraHolder.x = 0
	cameraHolder.y = 0

	buttonPressEnabled = true

	display.remove(umut_Sprite)
	umut_Sprite = nil
	umut_Sprite = display.newImageRect("umut.png", 503, 503)
	umut_Sprite.anchorX = 0.5
	umut_Sprite.anchorY = 0.5
	umut_Sprite.hasBody = false
	umut_Sprite.x = 259.59999999999854 + 0 + 0
	umut_Sprite.y = 265.65000000000146 + 0 + 0
	umut_Sprite.xScale = 1
	umut_Sprite.yScale = 1
	umut_Sprite.alpha = 1
	umut_Sprite.rotation = 0
	umut_Sprite.xDirection = 1
	umut_Sprite.yDirection = 0
	umut_Sprite.xSpeed = 0
	umut_Sprite.ySpeed = 0
	umut_Sprite.xCurrentSpeed = 0
	umut_Sprite.yCurrentSpeed = 0
	umut_Sprite.xSpeedUpdated = false
	umut_Sprite.ySpeedUpdated = false
	umut_Sprite.rotationUpdated = false
	umut_Sprite.directionUpdated = false
	umut_Sprite.spawnIndex = 1

	display.remove(andac_Sprite)
	andac_Sprite = nil
	andac_Sprite = display.newImageRect("andac.png", 503, 503)
	andac_Sprite.anchorX = 0.5
	andac_Sprite.anchorY = 0.5
	andac_Sprite.hasBody = false
	andac_Sprite.x = 1278.7999999999956 + 0 + 0
	andac_Sprite.y = 263.25 + 0 + 0
	andac_Sprite.xScale = 1
	andac_Sprite.yScale = 1
	andac_Sprite.alpha = 1
	andac_Sprite.rotation = 0
	andac_Sprite.xDirection = 1
	andac_Sprite.yDirection = 0
	andac_Sprite.xSpeed = 0
	andac_Sprite.ySpeed = 0
	andac_Sprite.xCurrentSpeed = 0
	andac_Sprite.yCurrentSpeed = 0
	andac_Sprite.xSpeedUpdated = false
	andac_Sprite.ySpeedUpdated = false
	andac_Sprite.rotationUpdated = false
	andac_Sprite.directionUpdated = false
	andac_Sprite.spawnIndex = 1

	display.remove(backButton_Sprite)
	backButton_Sprite = nil
	backButton_Sprite = display.newImageRect("backButton.png", 503, 503)
	backButton_Sprite.anchorX = 0.5
	backButton_Sprite.anchorY = 0.5
	backButton_Sprite.hasBody = false
	backButton_Sprite.x = 1795.5999999999983 + 0 + 0
	backButton_Sprite.y = 1277.5999999999983 + 0 + 0
	backButton_Sprite.xScale = 1
	backButton_Sprite.yScale = 1
	backButton_Sprite.alpha = 1
	backButton_Sprite.rotation = 0
	backButton_Sprite.xDirection = 1
	backButton_Sprite.yDirection = 0
	backButton_Sprite.xSpeed = 0
	backButton_Sprite.ySpeed = 0
	backButton_Sprite.xCurrentSpeed = 0
	backButton_Sprite.yCurrentSpeed = 0
	backButton_Sprite.xSpeedUpdated = false
	backButton_Sprite.ySpeedUpdated = false
	backButton_Sprite.rotationUpdated = false
	backButton_Sprite.directionUpdated = false
	backButton_Sprite.spawnIndex = 1

	display.remove(baris_Sprite)
	baris_Sprite = nil
	baris_Sprite = display.newImageRect("baris.png", 503, 503)
	baris_Sprite.anchorX = 0.5
	baris_Sprite.anchorY = 0.5
	baris_Sprite.hasBody = false
	baris_Sprite.x = 1290.8499999999983 + 0 + 0
	baris_Sprite.y = 1277.5999999999983 + 0 + 0
	baris_Sprite.xScale = 1
	baris_Sprite.yScale = 1
	baris_Sprite.alpha = 1
	baris_Sprite.rotation = 0
	baris_Sprite.xDirection = 1
	baris_Sprite.yDirection = 0
	baris_Sprite.xSpeed = 0
	baris_Sprite.ySpeed = 0
	baris_Sprite.xCurrentSpeed = 0
	baris_Sprite.yCurrentSpeed = 0
	baris_Sprite.xSpeedUpdated = false
	baris_Sprite.ySpeedUpdated = false
	baris_Sprite.rotationUpdated = false
	baris_Sprite.directionUpdated = false
	baris_Sprite.spawnIndex = 1

	display.remove(levelsBackground_Sprite)
	levelsBackground_Sprite = nil
	levelsBackground_Sprite = display.newImageRect("levelsBackground.png", 2048, 1536)
	levelsBackground_Sprite.anchorX = 0.5
	levelsBackground_Sprite.anchorY = 0.5
	levelsBackground_Sprite.hasBody = false
	levelsBackground_Sprite.x = 1024 + 0 + 0
	levelsBackground_Sprite.y = 768 + 0 + 0
	levelsBackground_Sprite.xScale = 1
	levelsBackground_Sprite.yScale = 1
	levelsBackground_Sprite.alpha = 1
	levelsBackground_Sprite.rotation = 0
	levelsBackground_Sprite.xDirection = 1
	levelsBackground_Sprite.yDirection = 0
	levelsBackground_Sprite.xSpeed = 0
	levelsBackground_Sprite.ySpeed = 0
	levelsBackground_Sprite.xCurrentSpeed = 0
	levelsBackground_Sprite.yCurrentSpeed = 0
	levelsBackground_Sprite.xSpeedUpdated = false
	levelsBackground_Sprite.ySpeedUpdated = false
	levelsBackground_Sprite.rotationUpdated = false
	levelsBackground_Sprite.directionUpdated = false
	levelsBackground_Sprite.spawnIndex = 1

	display.remove(kutay_Sprite)
	kutay_Sprite = nil
	kutay_Sprite = display.newImageRect("kutay.png", 503, 503)
	kutay_Sprite.anchorX = 0.5
	kutay_Sprite.anchorY = 0.5
	kutay_Sprite.hasBody = false
	kutay_Sprite.x = 259.59999999999854 + 0 + 0
	kutay_Sprite.y = 1275.1499999999942 + 0 + 0
	kutay_Sprite.xScale = 1
	kutay_Sprite.yScale = 1
	kutay_Sprite.alpha = 1
	kutay_Sprite.rotation = 0
	kutay_Sprite.xDirection = 1
	kutay_Sprite.yDirection = 0
	kutay_Sprite.xSpeed = 0
	kutay_Sprite.ySpeed = 0
	kutay_Sprite.xCurrentSpeed = 0
	kutay_Sprite.yCurrentSpeed = 0
	kutay_Sprite.xSpeedUpdated = false
	kutay_Sprite.ySpeedUpdated = false
	kutay_Sprite.rotationUpdated = false
	kutay_Sprite.directionUpdated = false
	kutay_Sprite.spawnIndex = 1

	cameraHolder:insert(levelsBackground_Sprite)
	cameraHolder:insert(kutay_Sprite)
	cameraHolder:insert(umut_Sprite)
	cameraHolder:insert(andac_Sprite)
	cameraHolder:insert(baris_Sprite)
	cameraHolder:insert(backButton_Sprite)

	screenHolder:insert( cameraHolder )
	screenHolder.anchorX = 0
	screenHolder.anchorY = 0

	leftBoundObject = levelsBackground_Sprite
	leftBoundValue = 0
	rightBoundObject = levelsBackground_Sprite
	rightBoundValue = 2048
	topBoundObject = levelsBackground_Sprite
	topBoundValue = 0
	bottomBoundObject = levelsBackground_Sprite
	bottomBoundValue = 1536

	camera.initialHolderLeft = leftBoundValue
	camera.initialHolderRight = camera.initialHolderLeft + cameraHolder.width
	camera.initialHolderTop = topBoundValue
	camera.initialHolderBottom = camera.initialHolderTop + cameraHolder.height
	camera.initialHolderWidth = cameraHolder.width
	camera.initialHolderHeight = cameraHolder.height
end

function CreditsScreen.addButtonEventListeners ()
	backButton_Sprite.touch = backButton_SpriteTouchHandler
	backButton_Sprite:addEventListener("touch", backButton_Sprite)

end

local function onEnterFrame(event)
	deltaTime = system.getTimer() - currentTime
	if deltaTime > 1000 then
		deltaTime = 1000/60
	elseif deltaTime < 0 then
		deltaTime = 1000/60
	end
	currentTime = system.getTimer()


	if camera.boundedObject ~= nil then
		if (cameraHolder.x + camera.boundedObject.x >= camera.rightBound) then
			if cameraHolder.x + camera.initialHolderWidth + camera.initialHolderLeft > display.contentWidth then
				cameraHolder.x = camera.rightBound - camera.boundedObject.x
			end
		elseif (cameraHolder.x + camera.boundedObject.x <= camera.leftBound) then
			if cameraHolder.x + camera.initialHolderLeft < 0 then
				cameraHolder.x = camera.leftBound - camera.boundedObject.x
			end
		end

		if (cameraHolder.y + camera.boundedObject.y >= camera.bottomBound) then
			if cameraHolder.y + camera.initialHolderHeight + camera.initialHolderTop > display.contentHeight then
				cameraHolder.y = camera.bottomBound - camera.boundedObject.y
			end
		elseif (cameraHolder.y + camera.boundedObject.y <= camera.topBound) then
			if cameraHolder.y + camera.initialHolderTop < 0 then
				cameraHolder.y = camera.topBound - camera.boundedObject.y
			end
		end
	end


	if umut_Sprite ~= nil then
		if umut_Sprite.hasBody == true then
			local vx, vy = umut_Sprite:getLinearVelocity()
			umut_Sprite.xCurrentSpeed = vx
			umut_Sprite.yCurrentSpeed = vy
			if umut_Sprite.xSpeedUpdated == true then
				umut_Sprite:setLinearVelocity(umut_Sprite.xSpeed, vy)
				umut_Sprite.xSpeedUpdated = false
			end
			if umut_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = umut_Sprite:getLinearVelocity()
				umut_Sprite:setLinearVelocity(vx2, umut_Sprite.ySpeed)
				umut_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = umut_Sprite:getLinearVelocity()
			umut_Sprite.xSpeed = vx3
			umut_Sprite.ySpeed = vy3
		elseif umut_Sprite.hasBody == false then
			umut_Sprite.x = umut_Sprite.x + umut_Sprite.xSpeed * deltaTime * 0.001
			umut_Sprite.y = umut_Sprite.y + umut_Sprite.ySpeed * deltaTime * 0.001
			umut_Sprite.xCurrentSpeed = umut_Sprite.xSpeed
			umut_Sprite.yCurrentSpeed = umut_Sprite.ySpeed
		end
		if umut_Sprite.xDirection == 0 and umut_Sprite.yDirection == 0 then
			umut_Sprite.xDirection = 1
			umut_Sprite.yDirection = 0
		end
		if umut_Sprite.rotationUpdated == true then
			umut_Sprite.xDirection = math.cos(umut_Sprite.rotation * math.pi / 180)
			umut_Sprite.yDirection = math.sin(umut_Sprite.rotation * math.pi / 180)
			umut_Sprite.rotationUpdated = false
		end
		if umut_Sprite.directionUpdated == true then
			umut_Sprite.rotation = ((math.atan2(umut_Sprite.yDirection, umut_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			umut_Sprite.directionUpdated = false
		end
		local tempXDir = umut_Sprite.xDirection / math.sqrt((math.pow(umut_Sprite.xDirection, 2) + math.pow(umut_Sprite.yDirection, 2)))
		local tempYDir = umut_Sprite.yDirection / math.sqrt((math.pow(umut_Sprite.xDirection, 2) + math.pow(umut_Sprite.yDirection, 2)))
		umut_Sprite.xDirection = tempXDir
		umut_Sprite.yDirection = tempYDir
	end
	if andac_Sprite ~= nil then
		if andac_Sprite.hasBody == true then
			local vx, vy = andac_Sprite:getLinearVelocity()
			andac_Sprite.xCurrentSpeed = vx
			andac_Sprite.yCurrentSpeed = vy
			if andac_Sprite.xSpeedUpdated == true then
				andac_Sprite:setLinearVelocity(andac_Sprite.xSpeed, vy)
				andac_Sprite.xSpeedUpdated = false
			end
			if andac_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = andac_Sprite:getLinearVelocity()
				andac_Sprite:setLinearVelocity(vx2, andac_Sprite.ySpeed)
				andac_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = andac_Sprite:getLinearVelocity()
			andac_Sprite.xSpeed = vx3
			andac_Sprite.ySpeed = vy3
		elseif andac_Sprite.hasBody == false then
			andac_Sprite.x = andac_Sprite.x + andac_Sprite.xSpeed * deltaTime * 0.001
			andac_Sprite.y = andac_Sprite.y + andac_Sprite.ySpeed * deltaTime * 0.001
			andac_Sprite.xCurrentSpeed = andac_Sprite.xSpeed
			andac_Sprite.yCurrentSpeed = andac_Sprite.ySpeed
		end
		if andac_Sprite.xDirection == 0 and andac_Sprite.yDirection == 0 then
			andac_Sprite.xDirection = 1
			andac_Sprite.yDirection = 0
		end
		if andac_Sprite.rotationUpdated == true then
			andac_Sprite.xDirection = math.cos(andac_Sprite.rotation * math.pi / 180)
			andac_Sprite.yDirection = math.sin(andac_Sprite.rotation * math.pi / 180)
			andac_Sprite.rotationUpdated = false
		end
		if andac_Sprite.directionUpdated == true then
			andac_Sprite.rotation = ((math.atan2(andac_Sprite.yDirection, andac_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			andac_Sprite.directionUpdated = false
		end
		local tempXDir = andac_Sprite.xDirection / math.sqrt((math.pow(andac_Sprite.xDirection, 2) + math.pow(andac_Sprite.yDirection, 2)))
		local tempYDir = andac_Sprite.yDirection / math.sqrt((math.pow(andac_Sprite.xDirection, 2) + math.pow(andac_Sprite.yDirection, 2)))
		andac_Sprite.xDirection = tempXDir
		andac_Sprite.yDirection = tempYDir
	end
	if backButton_Sprite ~= nil then
		if backButton_Sprite.hasBody == true then
			local vx, vy = backButton_Sprite:getLinearVelocity()
			backButton_Sprite.xCurrentSpeed = vx
			backButton_Sprite.yCurrentSpeed = vy
			if backButton_Sprite.xSpeedUpdated == true then
				backButton_Sprite:setLinearVelocity(backButton_Sprite.xSpeed, vy)
				backButton_Sprite.xSpeedUpdated = false
			end
			if backButton_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = backButton_Sprite:getLinearVelocity()
				backButton_Sprite:setLinearVelocity(vx2, backButton_Sprite.ySpeed)
				backButton_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = backButton_Sprite:getLinearVelocity()
			backButton_Sprite.xSpeed = vx3
			backButton_Sprite.ySpeed = vy3
		elseif backButton_Sprite.hasBody == false then
			backButton_Sprite.x = backButton_Sprite.x + backButton_Sprite.xSpeed * deltaTime * 0.001
			backButton_Sprite.y = backButton_Sprite.y + backButton_Sprite.ySpeed * deltaTime * 0.001
			backButton_Sprite.xCurrentSpeed = backButton_Sprite.xSpeed
			backButton_Sprite.yCurrentSpeed = backButton_Sprite.ySpeed
		end
		if backButton_Sprite.xDirection == 0 and backButton_Sprite.yDirection == 0 then
			backButton_Sprite.xDirection = 1
			backButton_Sprite.yDirection = 0
		end
		if backButton_Sprite.rotationUpdated == true then
			backButton_Sprite.xDirection = math.cos(backButton_Sprite.rotation * math.pi / 180)
			backButton_Sprite.yDirection = math.sin(backButton_Sprite.rotation * math.pi / 180)
			backButton_Sprite.rotationUpdated = false
		end
		if backButton_Sprite.directionUpdated == true then
			backButton_Sprite.rotation = ((math.atan2(backButton_Sprite.yDirection, backButton_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			backButton_Sprite.directionUpdated = false
		end
		local tempXDir = backButton_Sprite.xDirection / math.sqrt((math.pow(backButton_Sprite.xDirection, 2) + math.pow(backButton_Sprite.yDirection, 2)))
		local tempYDir = backButton_Sprite.yDirection / math.sqrt((math.pow(backButton_Sprite.xDirection, 2) + math.pow(backButton_Sprite.yDirection, 2)))
		backButton_Sprite.xDirection = tempXDir
		backButton_Sprite.yDirection = tempYDir
	end
	if baris_Sprite ~= nil then
		if baris_Sprite.hasBody == true then
			local vx, vy = baris_Sprite:getLinearVelocity()
			baris_Sprite.xCurrentSpeed = vx
			baris_Sprite.yCurrentSpeed = vy
			if baris_Sprite.xSpeedUpdated == true then
				baris_Sprite:setLinearVelocity(baris_Sprite.xSpeed, vy)
				baris_Sprite.xSpeedUpdated = false
			end
			if baris_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = baris_Sprite:getLinearVelocity()
				baris_Sprite:setLinearVelocity(vx2, baris_Sprite.ySpeed)
				baris_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = baris_Sprite:getLinearVelocity()
			baris_Sprite.xSpeed = vx3
			baris_Sprite.ySpeed = vy3
		elseif baris_Sprite.hasBody == false then
			baris_Sprite.x = baris_Sprite.x + baris_Sprite.xSpeed * deltaTime * 0.001
			baris_Sprite.y = baris_Sprite.y + baris_Sprite.ySpeed * deltaTime * 0.001
			baris_Sprite.xCurrentSpeed = baris_Sprite.xSpeed
			baris_Sprite.yCurrentSpeed = baris_Sprite.ySpeed
		end
		if baris_Sprite.xDirection == 0 and baris_Sprite.yDirection == 0 then
			baris_Sprite.xDirection = 1
			baris_Sprite.yDirection = 0
		end
		if baris_Sprite.rotationUpdated == true then
			baris_Sprite.xDirection = math.cos(baris_Sprite.rotation * math.pi / 180)
			baris_Sprite.yDirection = math.sin(baris_Sprite.rotation * math.pi / 180)
			baris_Sprite.rotationUpdated = false
		end
		if baris_Sprite.directionUpdated == true then
			baris_Sprite.rotation = ((math.atan2(baris_Sprite.yDirection, baris_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			baris_Sprite.directionUpdated = false
		end
		local tempXDir = baris_Sprite.xDirection / math.sqrt((math.pow(baris_Sprite.xDirection, 2) + math.pow(baris_Sprite.yDirection, 2)))
		local tempYDir = baris_Sprite.yDirection / math.sqrt((math.pow(baris_Sprite.xDirection, 2) + math.pow(baris_Sprite.yDirection, 2)))
		baris_Sprite.xDirection = tempXDir
		baris_Sprite.yDirection = tempYDir
	end
	if levelsBackground_Sprite ~= nil then
		if levelsBackground_Sprite.hasBody == true then
			local vx, vy = levelsBackground_Sprite:getLinearVelocity()
			levelsBackground_Sprite.xCurrentSpeed = vx
			levelsBackground_Sprite.yCurrentSpeed = vy
			if levelsBackground_Sprite.xSpeedUpdated == true then
				levelsBackground_Sprite:setLinearVelocity(levelsBackground_Sprite.xSpeed, vy)
				levelsBackground_Sprite.xSpeedUpdated = false
			end
			if levelsBackground_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = levelsBackground_Sprite:getLinearVelocity()
				levelsBackground_Sprite:setLinearVelocity(vx2, levelsBackground_Sprite.ySpeed)
				levelsBackground_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = levelsBackground_Sprite:getLinearVelocity()
			levelsBackground_Sprite.xSpeed = vx3
			levelsBackground_Sprite.ySpeed = vy3
		elseif levelsBackground_Sprite.hasBody == false then
			levelsBackground_Sprite.x = levelsBackground_Sprite.x + levelsBackground_Sprite.xSpeed * deltaTime * 0.001
			levelsBackground_Sprite.y = levelsBackground_Sprite.y + levelsBackground_Sprite.ySpeed * deltaTime * 0.001
			levelsBackground_Sprite.xCurrentSpeed = levelsBackground_Sprite.xSpeed
			levelsBackground_Sprite.yCurrentSpeed = levelsBackground_Sprite.ySpeed
		end
		if levelsBackground_Sprite.xDirection == 0 and levelsBackground_Sprite.yDirection == 0 then
			levelsBackground_Sprite.xDirection = 1
			levelsBackground_Sprite.yDirection = 0
		end
		if levelsBackground_Sprite.rotationUpdated == true then
			levelsBackground_Sprite.xDirection = math.cos(levelsBackground_Sprite.rotation * math.pi / 180)
			levelsBackground_Sprite.yDirection = math.sin(levelsBackground_Sprite.rotation * math.pi / 180)
			levelsBackground_Sprite.rotationUpdated = false
		end
		if levelsBackground_Sprite.directionUpdated == true then
			levelsBackground_Sprite.rotation = ((math.atan2(levelsBackground_Sprite.yDirection, levelsBackground_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			levelsBackground_Sprite.directionUpdated = false
		end
		local tempXDir = levelsBackground_Sprite.xDirection / math.sqrt((math.pow(levelsBackground_Sprite.xDirection, 2) + math.pow(levelsBackground_Sprite.yDirection, 2)))
		local tempYDir = levelsBackground_Sprite.yDirection / math.sqrt((math.pow(levelsBackground_Sprite.xDirection, 2) + math.pow(levelsBackground_Sprite.yDirection, 2)))
		levelsBackground_Sprite.xDirection = tempXDir
		levelsBackground_Sprite.yDirection = tempYDir
	end
	if kutay_Sprite ~= nil then
		if kutay_Sprite.hasBody == true then
			local vx, vy = kutay_Sprite:getLinearVelocity()
			kutay_Sprite.xCurrentSpeed = vx
			kutay_Sprite.yCurrentSpeed = vy
			if kutay_Sprite.xSpeedUpdated == true then
				kutay_Sprite:setLinearVelocity(kutay_Sprite.xSpeed, vy)
				kutay_Sprite.xSpeedUpdated = false
			end
			if kutay_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = kutay_Sprite:getLinearVelocity()
				kutay_Sprite:setLinearVelocity(vx2, kutay_Sprite.ySpeed)
				kutay_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = kutay_Sprite:getLinearVelocity()
			kutay_Sprite.xSpeed = vx3
			kutay_Sprite.ySpeed = vy3
		elseif kutay_Sprite.hasBody == false then
			kutay_Sprite.x = kutay_Sprite.x + kutay_Sprite.xSpeed * deltaTime * 0.001
			kutay_Sprite.y = kutay_Sprite.y + kutay_Sprite.ySpeed * deltaTime * 0.001
			kutay_Sprite.xCurrentSpeed = kutay_Sprite.xSpeed
			kutay_Sprite.yCurrentSpeed = kutay_Sprite.ySpeed
		end
		if kutay_Sprite.xDirection == 0 and kutay_Sprite.yDirection == 0 then
			kutay_Sprite.xDirection = 1
			kutay_Sprite.yDirection = 0
		end
		if kutay_Sprite.rotationUpdated == true then
			kutay_Sprite.xDirection = math.cos(kutay_Sprite.rotation * math.pi / 180)
			kutay_Sprite.yDirection = math.sin(kutay_Sprite.rotation * math.pi / 180)
			kutay_Sprite.rotationUpdated = false
		end
		if kutay_Sprite.directionUpdated == true then
			kutay_Sprite.rotation = ((math.atan2(kutay_Sprite.yDirection, kutay_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			kutay_Sprite.directionUpdated = false
		end
		local tempXDir = kutay_Sprite.xDirection / math.sqrt((math.pow(kutay_Sprite.xDirection, 2) + math.pow(kutay_Sprite.yDirection, 2)))
		local tempYDir = kutay_Sprite.yDirection / math.sqrt((math.pow(kutay_Sprite.xDirection, 2) + math.pow(kutay_Sprite.yDirection, 2)))
		kutay_Sprite.xDirection = tempXDir
		kutay_Sprite.yDirection = tempYDir
	end
end

menuInCompleted = function (obj)
	CreditsScreen.addButtonEventListeners()
	Runtime:addEventListener("enterFrame", onEnterFrame)
	Runtime:addEventListener("touch", onScreenTouch)
	Runtime:addEventListener("collision", onCollision)

end

function CreditsScreen.menuIn ()

	loadScreen()

	transition.to(screenHolder, {time = 10, onComplete = menuInCompleted})

	camera.boundedObject = nil
	mTimerList = {}
	timerCount = 0
end

function CreditsScreen.removeButtonEventListeners ()
	if backButton_Sprite ~= nil then
		display.getCurrentStage():setFocus( backButton_Sprite, nil )
		backButton_Sprite.touch = backButton_SpriteTouchHandler
		backButton_Sprite:removeEventListener("touch", backButton_Sprite)
	end

end

menuOutCompleted = function ( nextScreenId, isNextScreenPopUp )
	if isNextScreenPopUp == true then
	else
		display.remove(screenHolder)
		screenHolder = nil

	end
	NextScreenId = nextScreenId
	PreviousScreenId = CreditsScreenMenuID
	changeMenu(NextScreenId, PreviousScreenId, false, isNextScreenPopUp)
end

menuOut = function ( nextScreenId, isNextScreenPopUp )
	Runtime:removeEventListener("enterFrame", onEnterFrame)
	Runtime:removeEventListener("touch", onScreenTouch)
	Runtime:removeEventListener("collision", onCollision)

	for i=1, timerCount, 1 do
		if mTimerList[i] ~= nil then
			timer.cancel(mTimerList[i])
		end
	end
	mTimerList = {}
	timerCount = 0

	CreditsScreen.removeButtonEventListeners()
	if isNextScreenPopUp == true then
		transition.to(screenHolder, {time = 10, onComplete = function () menuOutCompleted(nextScreenId, isNextScreenPopUp) end})
	else
		transition.to(screenHolder, {time = 10, onComplete = function () menuOutCompleted(nextScreenId, isNextScreenPopUp) end})
	end
end

return CreditsScreen
