local Screen1 = {}

local programmer2_Animation
local joystickCenter_Sprite
local wall_Sprite
local table_Animation
local programmer7_Animation
local floor_Sprite
local healthBar_Sprite
local wall4_Sprite
local mainAlert_Animation
local wall2_Sprite
local mainTable_Animation
local gameOver_Sprite
local joystick_Sprite
local mainHealthBar_Sprite
local pig_Animation
local programmer_Animation
local alert_Animation
local wall3_Sprite
local youWon_Sprite
local speedUpText_Sprite
local screenHolder
local buttonPressEnabled
local menuInCompleted
local menuOut
local menuOutCompleted
local addButtonEventListeners
local removeButtonEventListeners

local mTimerList
local timerCount

local programmer2_AnimationSpriteListener
local table_AnimationSpriteListener
local programmer7_AnimationSpriteListener
local mainAlert_AnimationSpriteListener
local mainTable_AnimationSpriteListener
local pig_AnimationSpriteListener
local programmer_AnimationSpriteListener
local alert_AnimationSpriteListener
local speedUp_AnimationSpriteListener

local destroy_programmer2_Animation
local destroy_joystickCenter_Sprite
local destroy_wall_Sprite
local destroy_table_Animation
local destroy_programmer7_Animation
local destroy_floor_Sprite
local destroy_healthBar_Sprite
local destroy_wall4_Sprite
local destroy_mainAlert_Animation
local destroy_wall2_Sprite
local destroy_mainTable_Animation
local destroy_gameOver_Sprite
local destroy_joystick_Sprite
local destroy_mainHealthBar_Sprite
local destroy_pig_Animation
local destroy_programmer_Animation
local destroy_alert_Animation
local destroy_wall3_Sprite
local destroy_youWon_Sprite
local destroy_speedUpText_Sprite
local spawnList_speedUp_Animation = {}
local spawn_speedUp_Animation
local destroy_speedUp_Animation

local camera = {}
camera.boundedObject = pig_Animation
camera.leftBound = display.contentWidth * 0.5
camera.rightBound = display.contentWidth * 0.5
camera.topBound = display.contentHeight * 0.5
camera.bottomBound = display.contentHeight * 0.5
camera.initialHolderLeft = 0
camera.initialHolderRight = 0
camera.initialHolderTop = 0
camera.initialHolderBottom = 0
camera.initialHolderWidth = 0
camera.initialHolderHeight = 0

local leftBoundValue = 0
local rightBoundValue = 0
local topBoundValue = 0
local bottomBoundValue = 0

spawn_speedUp_Animation = function ()
	local speedUp_Animation = display.newSprite(spriteSheets["speedUp44x40"], spriteSets["speedUp44x40"])
	speedUp_Animation.anchorX = 0.5
	speedUp_Animation.anchorY = 0.5
	speedUp_Animation:setSequence("speedUp")
	speedUp_Animation:play()
	speedUp_Animation:addEventListener("sprite", speedUp_AnimationSpriteListener)
	speedUp_Animation.hasBody = true
	physics.addBody(speedUp_Animation, {density=1, friction=0, bounce=0, radius=20})
	speedUp_Animation.bodyType = "dynamic"
	speedUp_Animation.isSleepingAllowed = false
	speedUp_Animation.isFixedRotation = false
	speedUp_Animation.isBullet = false
	speedUp_Animation.isSensor = false
	speedUp_Animation.name = "speedUp_Animation"
	speedUp_Animation.x = 983.1499999999942 + 0 + 0
	speedUp_Animation.y = 505.9499999999898 + 0 + 0
	speedUp_Animation.xScale = 2
	speedUp_Animation.yScale = 2
	speedUp_Animation.alpha = 1
	speedUp_Animation.rotation = 0
	speedUp_Animation.xDirection = 1
	speedUp_Animation.yDirection = 0
	speedUp_Animation.xSpeed = 0
	speedUp_Animation.ySpeed = 0
	speedUp_Animation.xCurrentSpeed = 0
	speedUp_Animation.yCurrentSpeed = 0
	speedUp_Animation.xSpeedUpdated = false
	speedUp_Animation.ySpeedUpdated = false
	speedUp_Animation.rotationUpdated = false
	speedUp_Animation.directionUpdated = false
	speedUp_Animation.spawnName = "speedUp_Animation".."_"..(#spawnList_speedUp_Animation + 1)
	speedUp_Animation.spawnIndex = #spawnList_speedUp_Animation + 1
	speedUp_Animation_holder:insert(speedUp_Animation)
	spawnList_speedUp_Animation[#spawnList_speedUp_Animation + 1] = speedUp_Animation

	speedUp_Animation.touch = speedUp_AnimationTouchHandler
	speedUp_Animation:addEventListener("touch", speedUp_Animation)

		local relatedObject = speedUp_Animation
		relatedObject.x = (50 + math.floor(math.random() * (2000 + 1 - 50)))
		local relatedObject = speedUp_Animation
		relatedObject.y = (50 + math.floor(math.random() * (1500 + 1 - 50)))

end

destroy_programmer2_Animation = function ()
	display.remove(programmer2_Animation)
	programmer2_Animation = nil
end

destroy_joystickCenter_Sprite = function ()
	display.remove(joystickCenter_Sprite)
	joystickCenter_Sprite = nil
end

destroy_wall_Sprite = function ()
	display.remove(wall_Sprite)
	wall_Sprite = nil
end

destroy_table_Animation = function ()
	display.remove(table_Animation)
	table_Animation = nil
end

destroy_programmer7_Animation = function ()
	display.remove(programmer7_Animation)
	programmer7_Animation = nil
end

destroy_floor_Sprite = function ()
	display.remove(floor_Sprite)
	floor_Sprite = nil
end

destroy_healthBar_Sprite = function ()
	display.remove(healthBar_Sprite)
	healthBar_Sprite = nil
end

destroy_wall4_Sprite = function ()
	display.remove(wall4_Sprite)
	wall4_Sprite = nil
end

destroy_mainAlert_Animation = function ()
	display.remove(mainAlert_Animation)
	mainAlert_Animation = nil
end

destroy_wall2_Sprite = function ()
	display.remove(wall2_Sprite)
	wall2_Sprite = nil
end

destroy_mainTable_Animation = function ()
	display.remove(mainTable_Animation)
	mainTable_Animation = nil
end

destroy_gameOver_Sprite = function ()
	display.remove(gameOver_Sprite)
	gameOver_Sprite = nil
end

destroy_joystick_Sprite = function ()
	display.remove(joystick_Sprite)
	joystick_Sprite = nil
end

destroy_mainHealthBar_Sprite = function ()
	display.remove(mainHealthBar_Sprite)
	mainHealthBar_Sprite = nil
end

destroy_pig_Animation = function ()
	display.remove(pig_Animation)
	pig_Animation = nil
end

destroy_programmer_Animation = function ()
	display.remove(programmer_Animation)
	programmer_Animation = nil
end

destroy_alert_Animation = function ()
	display.remove(alert_Animation)
	alert_Animation = nil
end

destroy_wall3_Sprite = function ()
	display.remove(wall3_Sprite)
	wall3_Sprite = nil
end

destroy_youWon_Sprite = function ()
	display.remove(youWon_Sprite)
	youWon_Sprite = nil
end

destroy_speedUpText_Sprite = function ()
	display.remove(speedUpText_Sprite)
	speedUpText_Sprite = nil
end

destroy_speedUp_Animation = function (index)
	display.remove(spawnList_speedUp_Animation[index])
	table.remove(spawnList_speedUp_Animation, index)
	for i=#spawnList_speedUp_Animation, 1, -1 do
		spawnList_speedUp_Animation[i].spawnIndex = i
	end
end

programmer2_AnimationSpriteListener = function (event)
	if event.phase == "began" then
	elseif event.phase == "loop" then
	elseif event.phase == "ended" then
	end
end

table_AnimationSpriteListener = function (event)
	if event.phase == "began" then
	elseif event.phase == "loop" then
	elseif event.phase == "ended" then
	end
end

programmer7_AnimationSpriteListener = function (event)
	if event.phase == "began" then
	elseif event.phase == "loop" then
	elseif event.phase == "ended" then
	end
end

mainAlert_AnimationSpriteListener = function (event)
	if event.phase == "began" then
	elseif event.phase == "loop" then
	elseif event.phase == "ended" then
	end
end

mainTable_AnimationSpriteListener = function (event)
	if event.phase == "began" then
	elseif event.phase == "loop" then
	elseif event.phase == "ended" then
	end
end

pig_AnimationSpriteListener = function (event)
	if event.phase == "began" then
	elseif event.phase == "loop" then
	elseif event.phase == "ended" then
	end
end

programmer_AnimationSpriteListener = function (event)
	if event.phase == "began" then
	elseif event.phase == "loop" then
	elseif event.phase == "ended" then
	end
end

alert_AnimationSpriteListener = function (event)
	if event.phase == "began" then
	elseif event.phase == "loop" then
	elseif event.phase == "ended" then
	end
end

speedUp_AnimationSpriteListener = function (event)
	if event.phase == "began" then
	elseif event.phase == "loop" then
	elseif event.phase == "ended" then
	end
end

local startingXPos = 0
local startingYPos = 0
local function onScreenTouch(event)
	if event.phase == "began" then
		startingXPos = event.x
		startingYPos = event.y
	if joystick_Sprite ~= nil then
		joystick_Sprite.alpha = 0.5

	end
	if joystickCenter_Sprite ~= nil then
		joystickCenter_Sprite.alpha = 0.5

	end
	if joystick_Sprite ~= nil then
		joystick_Sprite.x = event.x 

	end
	if joystick_Sprite ~= nil then
		joystick_Sprite.y = event.y 

	end
	if joystickCenter_Sprite ~= nil then
		joystickCenter_Sprite.x = event.x 

	end
	if joystickCenter_Sprite ~= nil then
		joystickCenter_Sprite.y = event.y 

	end

	elseif event.phase == "moved" then
	var_isManMoving = true
	if pig_Animation ~= nil then
		pig_Animation.xSpeed = ( pig_Animation.xDirection  * ( 300 * var_boostMultiplier ) )

	pig_Animation.xSpeedUpdated = true
	end
	if pig_Animation ~= nil then
		pig_Animation.ySpeed = ( pig_Animation.yDirection  * ( 300 * var_boostMultiplier ) )

	pig_Animation.ySpeedUpdated = true
	end
	if joystick_Sprite ~= nil then
		joystick_Sprite.x = event.x 

	end
	if joystick_Sprite ~= nil then
		joystick_Sprite.y = event.y 

	end
	if var_isTrolling == true then
		if pig_Animation ~= nil then
			if pig_Animation.sequence ~= "pigWalkingDrum" then
				pig_Animation:setSequence("pigWalkingDrum")
				pig_Animation:play()
			end
		end
		soundList["drum"].play(-1)
	end
	if var_isTrolling == false then
		if pig_Animation ~= nil then
			if pig_Animation.sequence ~= "pigWalking" then
				pig_Animation:setSequence("pigWalking")
				pig_Animation:play()
			end
		end
		soundList["drum"].stop()
	end

	elseif event.phase == "ended" or event.phase == "cancelled" then
	var_isManMoving = false
	if joystick_Sprite ~= nil then
		joystick_Sprite.alpha = 0

	end
	if joystickCenter_Sprite ~= nil then
		joystickCenter_Sprite.alpha = 0

	end
	if pig_Animation ~= nil then
		pig_Animation.xSpeed = 0

	pig_Animation.xSpeedUpdated = true
	end
	if pig_Animation ~= nil then
		pig_Animation.ySpeed = 0

	pig_Animation.ySpeedUpdated = true
	end
	if var_isTrolling == true then
		if pig_Animation ~= nil then
			if pig_Animation.sequence ~= "pigIdleDrum" then
				pig_Animation:setSequence("pigIdleDrum")
				pig_Animation:play()
			end
		end
		soundList["drum"].play(-1)
	end
	if var_isTrolling == false then
		if pig_Animation ~= nil then
			if pig_Animation.sequence ~= "pigIdle" then
				pig_Animation:setSequence("pigIdle")
				pig_Animation:play()
			end
		end
		soundList["drum"].stop()
	end


		if event.x - startingXPos < -20 and math.abs(event.y - startingYPos) < math.abs(event.x - startingXPos) then
		end

		if event.x - startingXPos > 20 and math.abs(event.y - startingYPos) < math.abs(event.x - startingXPos) then
		end

		if event.y - startingYPos < -20 and math.abs(event.x - startingXPos) < math.abs(event.y - startingYPos) then
		end

		if event.y - startingYPos > 20 and math.abs(event.x - startingXPos) < math.abs(event.y - startingYPos) then
		end
	end
end

local function onAccelerometer(event)
end

local function onCollision( event )
	if ( event.phase == "began" ) then
		if (event.object1.name == "pig_Animation" and event.object2.name == "speedUp_Animation") or
			(event.object2.name == "pig_Animation" and event.object1.name == "speedUp_Animation") then
			local relatedObject
			local collidedObject
			if (event.object1.name == "pig_Animation" and event.object2.name == "speedUp_Animation") then
				relatedObject = event.object1
				collidedObject = event.object2
			elseif (event.object2.name == "pig_Animation" and event.object1.name == "speedUp_Animation") then
				relatedObject = event.object2
				collidedObject = event.object1
			end
			if speedUpText_Sprite ~= nil then
				speedUpText_Sprite.xSpeed = 5000

			speedUpText_Sprite.xSpeedUpdated = true
			end
			destroy_speedUp_Animation(collidedObject.spawnIndex)
			var_boostMultiplier = 2
			soundList["powerUp"].play(0)
			mTimerList[timerCount+1] = timer.performWithDelay(5000, function ()
				var_boostMultiplier = 1
				end, 1)
			timerCount = timerCount + 1
			mTimerList[timerCount+1] = timer.performWithDelay(10000, function ()
				spawn_speedUp_Animation()
				end, 1)
			timerCount = timerCount + 1

		end
	elseif ( event.phase == "ended" ) then
	end
end

local function loadScreen ()
	screenHolder = display.newGroup()
	screenHolder.x = 0
	screenHolder.y = 0
	local screenHolderRect = display.newRect(screenHolder, 0, 0, display.contentWidth, display.contentHeight)
	screenHolderRect.alpha = 0

	cameraHolder = display.newGroup()
	cameraHolder.x = 0
	cameraHolder.y = 0

	buttonPressEnabled = true

	display.remove(programmer2_Animation)
	programmer2_Animation = nil
	programmer2_Animation = display.newSprite(spriteSheets["programmerSpriteSheet141x207"], spriteSets["programmerSpriteSheet141x207"])
	programmer2_Animation.anchorX = 0.5
	programmer2_Animation.anchorY = 0.5
	programmer2_Animation:setSequence("programmerIdle")
	programmer2_Animation:play()
	programmer2_Animation:addEventListener("sprite", programmer2_AnimationSpriteListener)
	programmer2_Animation.hasBody = true
	physics.addBody(programmer2_Animation, {density=1, friction=0, bounce=0, radius=70.5})
	programmer2_Animation.bodyType = "static"
	programmer2_Animation.isSleepingAllowed = false
	programmer2_Animation.isFixedRotation = false
	programmer2_Animation.isBullet = false
	programmer2_Animation.isSensor = false
	programmer2_Animation.name = "programmer2_Animation"
	programmer2_Animation.x = 517.5999999999985 + 0 + 0
	programmer2_Animation.y = 1214.0999999999983 + 0 + 0
	programmer2_Animation.xScale = 1
	programmer2_Animation.yScale = 1
	programmer2_Animation.alpha = 1
	programmer2_Animation.rotation = 180
	programmer2_Animation.xDirection = 1
	programmer2_Animation.yDirection = 0
	programmer2_Animation.xSpeed = 0
	programmer2_Animation.ySpeed = 0
	programmer2_Animation.xCurrentSpeed = 0
	programmer2_Animation.yCurrentSpeed = 0
	programmer2_Animation.xSpeedUpdated = false
	programmer2_Animation.ySpeedUpdated = false
	programmer2_Animation.rotationUpdated = false
	programmer2_Animation.directionUpdated = false
	programmer2_Animation.spawnIndex = 1

	display.remove(joystickCenter_Sprite)
	joystickCenter_Sprite = nil
	joystickCenter_Sprite = display.newImageRect("joystick.png", 40, 40)
	joystickCenter_Sprite.anchorX = 0.5
	joystickCenter_Sprite.anchorY = 0.5
	joystickCenter_Sprite.hasBody = false
	joystickCenter_Sprite.x = 160 + 0 + 0
	joystickCenter_Sprite.y = 480 + 0 + 0
	joystickCenter_Sprite.xScale = 1
	joystickCenter_Sprite.yScale = 1
	joystickCenter_Sprite.alpha = 0
	joystickCenter_Sprite.rotation = 0
	joystickCenter_Sprite.xDirection = 1
	joystickCenter_Sprite.yDirection = 0
	joystickCenter_Sprite.xSpeed = 0
	joystickCenter_Sprite.ySpeed = 0
	joystickCenter_Sprite.xCurrentSpeed = 0
	joystickCenter_Sprite.yCurrentSpeed = 0
	joystickCenter_Sprite.xSpeedUpdated = false
	joystickCenter_Sprite.ySpeedUpdated = false
	joystickCenter_Sprite.rotationUpdated = false
	joystickCenter_Sprite.directionUpdated = false
	joystickCenter_Sprite.spawnIndex = 1

	display.remove(wall_Sprite)
	wall_Sprite = nil
	wall_Sprite = display.newImageRect("wall.png", 10, 2000)
	wall_Sprite.anchorX = 0.5
	wall_Sprite.anchorY = 0.5
	wall_Sprite.hasBody = true
	physics.addBody(wall_Sprite, {density=1, friction=0, bounce=0})
	wall_Sprite.bodyType = "static"
	wall_Sprite.isSleepingAllowed = false
	wall_Sprite.isFixedRotation = false
	wall_Sprite.isBullet = false
	wall_Sprite.isSensor = false
	wall_Sprite.name = "wall_Sprite"
	wall_Sprite.x = 5 + 0 + 0
	wall_Sprite.y = 768 + 0 + 0
	wall_Sprite.xScale = 1
	wall_Sprite.yScale = 0.768
	wall_Sprite.alpha = 0
	wall_Sprite.rotation = 0
	wall_Sprite.xDirection = 1
	wall_Sprite.yDirection = 0
	wall_Sprite.xSpeed = 0
	wall_Sprite.ySpeed = 0
	wall_Sprite.xCurrentSpeed = 0
	wall_Sprite.yCurrentSpeed = 0
	wall_Sprite.xSpeedUpdated = false
	wall_Sprite.ySpeedUpdated = false
	wall_Sprite.rotationUpdated = false
	wall_Sprite.directionUpdated = false
	wall_Sprite.spawnIndex = 1

	display.remove(table_Animation)
	table_Animation = nil
	table_Animation = display.newSprite(spriteSheets["tableSpriteSheet253x245"], spriteSets["tableSpriteSheet253x245"])
	table_Animation.anchorX = 0.5
	table_Animation.anchorY = 0.5
	table_Animation:setSequence("tableIdle")
	table_Animation:play()
	table_Animation:addEventListener("sprite", table_AnimationSpriteListener)
	table_Animation.hasBody = true
	physics.addBody(table_Animation, {density=1, friction=0, bounce=0})
	table_Animation.bodyType = "static"
	table_Animation.isSleepingAllowed = false
	table_Animation.isFixedRotation = false
	table_Animation.isBullet = false
	table_Animation.isSensor = false
	table_Animation.name = "table_Animation"
	table_Animation.x = 388 + 0 + 0
	table_Animation.y = 1200 + 0 + 0
	table_Animation.xScale = 1
	table_Animation.yScale = 1
	table_Animation.alpha = 1
	table_Animation.rotation = 0
	table_Animation.xDirection = 1
	table_Animation.yDirection = 0
	table_Animation.xSpeed = 0
	table_Animation.ySpeed = 0
	table_Animation.xCurrentSpeed = 0
	table_Animation.yCurrentSpeed = 0
	table_Animation.xSpeedUpdated = false
	table_Animation.ySpeedUpdated = false
	table_Animation.rotationUpdated = false
	table_Animation.directionUpdated = false
	table_Animation.spawnIndex = 1

	display.remove(programmer7_Animation)
	programmer7_Animation = nil
	programmer7_Animation = display.newSprite(spriteSheets["programmerSpriteSheet141x207"], spriteSets["programmerSpriteSheet141x207"])
	programmer7_Animation.anchorX = 0.5
	programmer7_Animation.anchorY = 0.5
	programmer7_Animation:setSequence("programmerIdle")
	programmer7_Animation:play()
	programmer7_Animation:addEventListener("sprite", programmer7_AnimationSpriteListener)
	programmer7_Animation.hasBody = true
	physics.addBody(programmer7_Animation, {density=1, friction=0, bounce=0, radius=70.5})
	programmer7_Animation.bodyType = "static"
	programmer7_Animation.isSleepingAllowed = false
	programmer7_Animation.isFixedRotation = false
	programmer7_Animation.isBullet = false
	programmer7_Animation.isSensor = false
	programmer7_Animation.name = "programmer7_Animation"
	programmer7_Animation.x = 1830.300000000003 + 0 + 0
	programmer7_Animation.y = 1220.1500000000017 + 0 + 0
	programmer7_Animation.xScale = 1
	programmer7_Animation.yScale = 1
	programmer7_Animation.alpha = 1
	programmer7_Animation.rotation = 180
	programmer7_Animation.xDirection = 1
	programmer7_Animation.yDirection = 0
	programmer7_Animation.xSpeed = 0
	programmer7_Animation.ySpeed = 0
	programmer7_Animation.xCurrentSpeed = 0
	programmer7_Animation.yCurrentSpeed = 0
	programmer7_Animation.xSpeedUpdated = false
	programmer7_Animation.ySpeedUpdated = false
	programmer7_Animation.rotationUpdated = false
	programmer7_Animation.directionUpdated = false
	programmer7_Animation.spawnIndex = 1

	display.remove(floor_Sprite)
	floor_Sprite = nil
	floor_Sprite = display.newImageRect("floor.png", 2048, 1536)
	floor_Sprite.anchorX = 0.5
	floor_Sprite.anchorY = 0.5
	floor_Sprite.hasBody = false
	floor_Sprite.x = 1024 + 0 + 0
	floor_Sprite.y = 768 + 0 + 0
	floor_Sprite.xScale = 1
	floor_Sprite.yScale = 1
	floor_Sprite.alpha = 1
	floor_Sprite.rotation = 0
	floor_Sprite.xDirection = 1
	floor_Sprite.yDirection = 0
	floor_Sprite.xSpeed = 0
	floor_Sprite.ySpeed = 0
	floor_Sprite.xCurrentSpeed = 0
	floor_Sprite.yCurrentSpeed = 0
	floor_Sprite.xSpeedUpdated = false
	floor_Sprite.ySpeedUpdated = false
	floor_Sprite.rotationUpdated = false
	floor_Sprite.directionUpdated = false
	floor_Sprite.spawnIndex = 1

	display.remove(healthBar_Sprite)
	healthBar_Sprite = nil
	healthBar_Sprite = display.newImageRect("healthBar.png", 173, 29)
	healthBar_Sprite.anchorX = 0
	healthBar_Sprite.anchorY = 0.5
	healthBar_Sprite.hasBody = false
	healthBar_Sprite.x = 301 + 0 + 0
	healthBar_Sprite.y = 1109 + 0 + 0
	healthBar_Sprite.xScale = 0.5
	healthBar_Sprite.yScale = 1
	healthBar_Sprite.alpha = 1
	healthBar_Sprite.rotation = 0
	healthBar_Sprite.xDirection = 1
	healthBar_Sprite.yDirection = 0
	healthBar_Sprite.xSpeed = 0
	healthBar_Sprite.ySpeed = 0
	healthBar_Sprite.xCurrentSpeed = 0
	healthBar_Sprite.yCurrentSpeed = 0
	healthBar_Sprite.xSpeedUpdated = false
	healthBar_Sprite.ySpeedUpdated = false
	healthBar_Sprite.rotationUpdated = false
	healthBar_Sprite.directionUpdated = false
	healthBar_Sprite.spawnIndex = 1

	display.remove(wall4_Sprite)
	wall4_Sprite = nil
	wall4_Sprite = display.newImageRect("wall.png", 10, 2000)
	wall4_Sprite.anchorX = 0.5
	wall4_Sprite.anchorY = 0.5
	wall4_Sprite.hasBody = true
	physics.addBody(wall4_Sprite, {density=1, friction=0, bounce=0})
	wall4_Sprite.bodyType = "static"
	wall4_Sprite.isSleepingAllowed = false
	wall4_Sprite.isFixedRotation = false
	wall4_Sprite.isBullet = false
	wall4_Sprite.isSensor = false
	wall4_Sprite.name = "wall4_Sprite"
	wall4_Sprite.x = 1024 + 0 + 0
	wall4_Sprite.y = 1531 + 0 + 0
	wall4_Sprite.xScale = 1
	wall4_Sprite.yScale = 1.024
	wall4_Sprite.alpha = 0
	wall4_Sprite.rotation = 90
	wall4_Sprite.xDirection = 1
	wall4_Sprite.yDirection = 0
	wall4_Sprite.xSpeed = 0
	wall4_Sprite.ySpeed = 0
	wall4_Sprite.xCurrentSpeed = 0
	wall4_Sprite.yCurrentSpeed = 0
	wall4_Sprite.xSpeedUpdated = false
	wall4_Sprite.ySpeedUpdated = false
	wall4_Sprite.rotationUpdated = false
	wall4_Sprite.directionUpdated = false
	wall4_Sprite.spawnIndex = 1

	display.remove(mainAlert_Animation)
	mainAlert_Animation = nil
	mainAlert_Animation = display.newSprite(spriteSheets["alertSpriteSheet468x446"], spriteSets["alertSpriteSheet468x446"])
	mainAlert_Animation.anchorX = 0.5
	mainAlert_Animation.anchorY = 0.5
	mainAlert_Animation:setSequence("alert")
	mainAlert_Animation:play()
	mainAlert_Animation:addEventListener("sprite", mainAlert_AnimationSpriteListener)
	mainAlert_Animation.hasBody = false
	mainAlert_Animation.x = 1700 + 0 + 0
	mainAlert_Animation.y = 1191 + 0 + 0
	mainAlert_Animation.xScale = 1.2
	mainAlert_Animation.yScale = 1.2
	mainAlert_Animation.alpha = 1
	mainAlert_Animation.rotation = 0
	mainAlert_Animation.xDirection = 1
	mainAlert_Animation.yDirection = 0
	mainAlert_Animation.xSpeed = 0
	mainAlert_Animation.ySpeed = 0
	mainAlert_Animation.xCurrentSpeed = 0
	mainAlert_Animation.yCurrentSpeed = 0
	mainAlert_Animation.xSpeedUpdated = false
	mainAlert_Animation.ySpeedUpdated = false
	mainAlert_Animation.rotationUpdated = false
	mainAlert_Animation.directionUpdated = false
	mainAlert_Animation.spawnIndex = 1

	display.remove(wall2_Sprite)
	wall2_Sprite = nil
	wall2_Sprite = display.newImageRect("wall.png", 10, 2000)
	wall2_Sprite.anchorX = 0.5
	wall2_Sprite.anchorY = 0.5
	wall2_Sprite.hasBody = true
	physics.addBody(wall2_Sprite, {density=1, friction=0, bounce=0})
	wall2_Sprite.bodyType = "static"
	wall2_Sprite.isSleepingAllowed = false
	wall2_Sprite.isFixedRotation = false
	wall2_Sprite.isBullet = false
	wall2_Sprite.isSensor = false
	wall2_Sprite.name = "wall2_Sprite"
	wall2_Sprite.x = 2043 + 0 + 0
	wall2_Sprite.y = 768 + 0 + 0
	wall2_Sprite.xScale = 1
	wall2_Sprite.yScale = 0.768
	wall2_Sprite.alpha = 0
	wall2_Sprite.rotation = 0
	wall2_Sprite.xDirection = 1
	wall2_Sprite.yDirection = 0
	wall2_Sprite.xSpeed = 0
	wall2_Sprite.ySpeed = 0
	wall2_Sprite.xCurrentSpeed = 0
	wall2_Sprite.yCurrentSpeed = 0
	wall2_Sprite.xSpeedUpdated = false
	wall2_Sprite.ySpeedUpdated = false
	wall2_Sprite.rotationUpdated = false
	wall2_Sprite.directionUpdated = false
	wall2_Sprite.spawnIndex = 1

	display.remove(mainTable_Animation)
	mainTable_Animation = nil
	mainTable_Animation = display.newSprite(spriteSheets["mainTableSpriteSheet253x245"], spriteSets["mainTableSpriteSheet253x245"])
	mainTable_Animation.anchorX = 0.5
	mainTable_Animation.anchorY = 0.5
	mainTable_Animation:setSequence("mainTableIdle")
	mainTable_Animation:play()
	mainTable_Animation:addEventListener("sprite", mainTable_AnimationSpriteListener)
	mainTable_Animation.hasBody = true
	physics.addBody(mainTable_Animation, {density=1, friction=0, bounce=0})
	mainTable_Animation.bodyType = "static"
	mainTable_Animation.isSleepingAllowed = false
	mainTable_Animation.isFixedRotation = false
	mainTable_Animation.isBullet = false
	mainTable_Animation.isSensor = false
	mainTable_Animation.name = "mainTable_Animation"
	mainTable_Animation.x = 1700 + 0 + 0
	mainTable_Animation.y = 1200 + 0 + 0
	mainTable_Animation.xScale = 1
	mainTable_Animation.yScale = 1
	mainTable_Animation.alpha = 1
	mainTable_Animation.rotation = 0
	mainTable_Animation.xDirection = 1
	mainTable_Animation.yDirection = 0
	mainTable_Animation.xSpeed = 0
	mainTable_Animation.ySpeed = 0
	mainTable_Animation.xCurrentSpeed = 0
	mainTable_Animation.yCurrentSpeed = 0
	mainTable_Animation.xSpeedUpdated = false
	mainTable_Animation.ySpeedUpdated = false
	mainTable_Animation.rotationUpdated = false
	mainTable_Animation.directionUpdated = false
	mainTable_Animation.spawnIndex = 1

	display.remove(gameOver_Sprite)
	gameOver_Sprite = nil
	gameOver_Sprite = display.newImageRect("gameOver.png", 1854, 618)
	gameOver_Sprite.anchorX = 0.5
	gameOver_Sprite.anchorY = 0.5
	gameOver_Sprite.hasBody = false
	gameOver_Sprite.x = 1024 + 0 + 0
	gameOver_Sprite.y = 768 + 0 + 0
	gameOver_Sprite.xScale = 1
	gameOver_Sprite.yScale = 1
	gameOver_Sprite.alpha = 0
	gameOver_Sprite.rotation = 0
	gameOver_Sprite.xDirection = 1
	gameOver_Sprite.yDirection = 0
	gameOver_Sprite.xSpeed = 0
	gameOver_Sprite.ySpeed = 0
	gameOver_Sprite.xCurrentSpeed = 0
	gameOver_Sprite.yCurrentSpeed = 0
	gameOver_Sprite.xSpeedUpdated = false
	gameOver_Sprite.ySpeedUpdated = false
	gameOver_Sprite.rotationUpdated = false
	gameOver_Sprite.directionUpdated = false
	gameOver_Sprite.spawnIndex = 1

	display.remove(joystick_Sprite)
	joystick_Sprite = nil
	joystick_Sprite = display.newImageRect("joystick.png", 40, 40)
	joystick_Sprite.anchorX = 0.5
	joystick_Sprite.anchorY = 0.5
	joystick_Sprite.hasBody = false
	joystick_Sprite.x = 160 + 0 + 0
	joystick_Sprite.y = 400 + 0 + 0
	joystick_Sprite.xScale = 1
	joystick_Sprite.yScale = 1
	joystick_Sprite.alpha = 0
	joystick_Sprite.rotation = 0
	joystick_Sprite.xDirection = 1
	joystick_Sprite.yDirection = 0
	joystick_Sprite.xSpeed = 0
	joystick_Sprite.ySpeed = 0
	joystick_Sprite.xCurrentSpeed = 0
	joystick_Sprite.yCurrentSpeed = 0
	joystick_Sprite.xSpeedUpdated = false
	joystick_Sprite.ySpeedUpdated = false
	joystick_Sprite.rotationUpdated = false
	joystick_Sprite.directionUpdated = false
	joystick_Sprite.spawnIndex = 1

	display.remove(mainHealthBar_Sprite)
	mainHealthBar_Sprite = nil
	mainHealthBar_Sprite = display.newImageRect("healthBar.png", 173, 29)
	mainHealthBar_Sprite.anchorX = 0
	mainHealthBar_Sprite.anchorY = 0.5
	mainHealthBar_Sprite.hasBody = false
	mainHealthBar_Sprite.x = 1613 + 0 + 0
	mainHealthBar_Sprite.y = 1109 + 0 + 0
	mainHealthBar_Sprite.xScale = 0.5
	mainHealthBar_Sprite.yScale = 1
	mainHealthBar_Sprite.alpha = 1
	mainHealthBar_Sprite.rotation = 0
	mainHealthBar_Sprite.xDirection = 1
	mainHealthBar_Sprite.yDirection = 0
	mainHealthBar_Sprite.xSpeed = 0
	mainHealthBar_Sprite.ySpeed = 0
	mainHealthBar_Sprite.xCurrentSpeed = 0
	mainHealthBar_Sprite.yCurrentSpeed = 0
	mainHealthBar_Sprite.xSpeedUpdated = false
	mainHealthBar_Sprite.ySpeedUpdated = false
	mainHealthBar_Sprite.rotationUpdated = false
	mainHealthBar_Sprite.directionUpdated = false
	mainHealthBar_Sprite.spawnIndex = 1

	display.remove(pig_Animation)
	pig_Animation = nil
	pig_Animation = display.newSprite(spriteSheets["pig207x146"], spriteSets["pig207x146"])
	pig_Animation.anchorX = 0.3
	pig_Animation.anchorY = 0.5
	pig_Animation:setSequence("pigIdle")
	pig_Animation:play()
	pig_Animation:addEventListener("sprite", pig_AnimationSpriteListener)
	pig_Animation.hasBody = true
	physics.addBody(pig_Animation, {density=1, friction=0, bounce=0, radius=73})
	pig_Animation.bodyType = "dynamic"
	pig_Animation.isSleepingAllowed = false
	pig_Animation.isFixedRotation = false
	pig_Animation.isBullet = false
	pig_Animation.isSensor = false
	pig_Animation.name = "pig_Animation"
	pig_Animation.x = 1477.4000000000017 + 0 + 0
	pig_Animation.y = 1218.6500000000017 + 0 + 0
	pig_Animation.xScale = 1
	pig_Animation.yScale = 1
	pig_Animation.alpha = 1
	pig_Animation.rotation = 0
	pig_Animation.xDirection = 1
	pig_Animation.yDirection = 0
	pig_Animation.xSpeed = 0
	pig_Animation.ySpeed = 0
	pig_Animation.xCurrentSpeed = 0
	pig_Animation.yCurrentSpeed = 0
	pig_Animation.xSpeedUpdated = false
	pig_Animation.ySpeedUpdated = false
	pig_Animation.rotationUpdated = false
	pig_Animation.directionUpdated = false
	pig_Animation.spawnIndex = 1

	display.remove(programmer_Animation)
	programmer_Animation = nil
	programmer_Animation = display.newSprite(spriteSheets["programmerSpriteSheet141x207"], spriteSets["programmerSpriteSheet141x207"])
	programmer_Animation.anchorX = 0.5
	programmer_Animation.anchorY = 0.5
	programmer_Animation:setSequence("programmerIdle")
	programmer_Animation:play()
	programmer_Animation:addEventListener("sprite", programmer_AnimationSpriteListener)
	programmer_Animation.hasBody = true
	physics.addBody(programmer_Animation, {density=1, friction=0, bounce=0, radius=70.5})
	programmer_Animation.bodyType = "static"
	programmer_Animation.isSleepingAllowed = false
	programmer_Animation.isFixedRotation = false
	programmer_Animation.isBullet = false
	programmer_Animation.isSensor = false
	programmer_Animation.name = "programmer_Animation"
	programmer_Animation.x = 257.40000000000146 + 0 + 0
	programmer_Animation.y = 1220.3499999999983 + 0 + 0
	programmer_Animation.xScale = 1
	programmer_Animation.yScale = 1
	programmer_Animation.alpha = 1
	programmer_Animation.rotation = 0
	programmer_Animation.xDirection = 1
	programmer_Animation.yDirection = 0
	programmer_Animation.xSpeed = 0
	programmer_Animation.ySpeed = 0
	programmer_Animation.xCurrentSpeed = 0
	programmer_Animation.yCurrentSpeed = 0
	programmer_Animation.xSpeedUpdated = false
	programmer_Animation.ySpeedUpdated = false
	programmer_Animation.rotationUpdated = false
	programmer_Animation.directionUpdated = false
	programmer_Animation.spawnIndex = 1

	display.remove(alert_Animation)
	alert_Animation = nil
	alert_Animation = display.newSprite(spriteSheets["alertSpriteSheet468x446"], spriteSets["alertSpriteSheet468x446"])
	alert_Animation.anchorX = 0.5
	alert_Animation.anchorY = 0.5
	alert_Animation:setSequence("alert")
	alert_Animation:play()
	alert_Animation:addEventListener("sprite", alert_AnimationSpriteListener)
	alert_Animation.hasBody = false
	alert_Animation.x = 388 + 0 + 0
	alert_Animation.y = 1191 + 0 + 0
	alert_Animation.xScale = 1.2
	alert_Animation.yScale = 1.2
	alert_Animation.alpha = 1
	alert_Animation.rotation = 0
	alert_Animation.xDirection = 1
	alert_Animation.yDirection = 0
	alert_Animation.xSpeed = 0
	alert_Animation.ySpeed = 0
	alert_Animation.xCurrentSpeed = 0
	alert_Animation.yCurrentSpeed = 0
	alert_Animation.xSpeedUpdated = false
	alert_Animation.ySpeedUpdated = false
	alert_Animation.rotationUpdated = false
	alert_Animation.directionUpdated = false
	alert_Animation.spawnIndex = 1

	display.remove(wall3_Sprite)
	wall3_Sprite = nil
	wall3_Sprite = display.newImageRect("wall.png", 10, 2000)
	wall3_Sprite.anchorX = 0.5
	wall3_Sprite.anchorY = 0.5
	wall3_Sprite.hasBody = true
	physics.addBody(wall3_Sprite, {density=1, friction=0, bounce=0})
	wall3_Sprite.bodyType = "static"
	wall3_Sprite.isSleepingAllowed = false
	wall3_Sprite.isFixedRotation = false
	wall3_Sprite.isBullet = false
	wall3_Sprite.isSensor = false
	wall3_Sprite.name = "wall3_Sprite"
	wall3_Sprite.x = 1024 + 0 + 0
	wall3_Sprite.y = 5 + 0 + 0
	wall3_Sprite.xScale = 1
	wall3_Sprite.yScale = 1.024
	wall3_Sprite.alpha = 0
	wall3_Sprite.rotation = 90
	wall3_Sprite.xDirection = 1
	wall3_Sprite.yDirection = 0
	wall3_Sprite.xSpeed = 0
	wall3_Sprite.ySpeed = 0
	wall3_Sprite.xCurrentSpeed = 0
	wall3_Sprite.yCurrentSpeed = 0
	wall3_Sprite.xSpeedUpdated = false
	wall3_Sprite.ySpeedUpdated = false
	wall3_Sprite.rotationUpdated = false
	wall3_Sprite.directionUpdated = false
	wall3_Sprite.spawnIndex = 1

	display.remove(youWon_Sprite)
	youWon_Sprite = nil
	youWon_Sprite = display.newImageRect("youWon.png", 1854, 618)
	youWon_Sprite.anchorX = 0.5
	youWon_Sprite.anchorY = 0.5
	youWon_Sprite.hasBody = false
	youWon_Sprite.x = 1024 + 0 + 0
	youWon_Sprite.y = 768 + 0 + 0
	youWon_Sprite.xScale = 1
	youWon_Sprite.yScale = 1
	youWon_Sprite.alpha = 0
	youWon_Sprite.rotation = 0
	youWon_Sprite.xDirection = 1
	youWon_Sprite.yDirection = 0
	youWon_Sprite.xSpeed = 0
	youWon_Sprite.ySpeed = 0
	youWon_Sprite.xCurrentSpeed = 0
	youWon_Sprite.yCurrentSpeed = 0
	youWon_Sprite.xSpeedUpdated = false
	youWon_Sprite.ySpeedUpdated = false
	youWon_Sprite.rotationUpdated = false
	youWon_Sprite.directionUpdated = false
	youWon_Sprite.spawnIndex = 1

	display.remove(speedUpText_Sprite)
	speedUpText_Sprite = nil
	speedUpText_Sprite = display.newImageRect("speedUpText.png", 1040, 217)
	speedUpText_Sprite.anchorX = 0.5
	speedUpText_Sprite.anchorY = 0.5
	speedUpText_Sprite.hasBody = false
	speedUpText_Sprite.x = -520 + 0 + 0
	speedUpText_Sprite.y = 768 + 0 + 0
	speedUpText_Sprite.xScale = 1
	speedUpText_Sprite.yScale = 1
	speedUpText_Sprite.alpha = 0.5
	speedUpText_Sprite.rotation = 0
	speedUpText_Sprite.xDirection = 1
	speedUpText_Sprite.yDirection = 0
	speedUpText_Sprite.xSpeed = 0
	speedUpText_Sprite.ySpeed = 0
	speedUpText_Sprite.xCurrentSpeed = 0
	speedUpText_Sprite.yCurrentSpeed = 0
	speedUpText_Sprite.xSpeedUpdated = false
	speedUpText_Sprite.ySpeedUpdated = false
	speedUpText_Sprite.rotationUpdated = false
	speedUpText_Sprite.directionUpdated = false
	speedUpText_Sprite.spawnIndex = 1

	speedUp_Animation_holder = display.newGroup()
	cameraHolder:insert(floor_Sprite)
	cameraHolder:insert(alert_Animation)
	cameraHolder:insert(mainAlert_Animation)
	cameraHolder:insert(wall_Sprite)
	cameraHolder:insert(table_Animation)
	cameraHolder:insert(wall4_Sprite)
	cameraHolder:insert(wall2_Sprite)
	cameraHolder:insert(mainTable_Animation)
	cameraHolder:insert(wall3_Sprite)
	cameraHolder:insert(mainHealthBar_Sprite)
	cameraHolder:insert(pig_Animation)
	cameraHolder:insert(speedUp_Animation_holder)
	cameraHolder:insert(programmer_Animation)
	cameraHolder:insert(programmer2_Animation)
	cameraHolder:insert(programmer7_Animation)
	cameraHolder:insert(gameOver_Sprite)
	cameraHolder:insert(youWon_Sprite)
	cameraHolder:insert(healthBar_Sprite)

	screenHolder:insert( cameraHolder )
	screenHolder:insert(joystickCenter_Sprite)
	screenHolder:insert(joystick_Sprite)
	screenHolder:insert(speedUpText_Sprite)
	screenHolder.anchorX = 0
	screenHolder.anchorY = 0

	leftBoundObject = floor_Sprite
	leftBoundValue = 0
	rightBoundObject = floor_Sprite
	rightBoundValue = 2048
	topBoundObject = floor_Sprite
	topBoundValue = 0
	bottomBoundObject = floor_Sprite
	bottomBoundValue = 1536

	camera.initialHolderLeft = leftBoundValue
	camera.initialHolderRight = camera.initialHolderLeft + cameraHolder.width
	camera.initialHolderTop = topBoundValue
	camera.initialHolderBottom = camera.initialHolderTop + cameraHolder.height
	camera.initialHolderWidth = cameraHolder.width
	camera.initialHolderHeight = cameraHolder.height
end

function Screen1.addButtonEventListeners ()
end

local function onEnterFrame(event)
	deltaTime = system.getTimer() - currentTime
	if deltaTime > 1000 then
		deltaTime = 1000/60
	elseif deltaTime < 0 then
		deltaTime = 1000/60
	end
	currentTime = system.getTimer()


	if camera.boundedObject ~= nil then
		if (cameraHolder.x + camera.boundedObject.x >= camera.rightBound) then
			if cameraHolder.x + camera.initialHolderWidth + camera.initialHolderLeft > display.contentWidth then
				cameraHolder.x = camera.rightBound - camera.boundedObject.x
			end
		elseif (cameraHolder.x + camera.boundedObject.x <= camera.leftBound) then
			if cameraHolder.x + camera.initialHolderLeft < 0 then
				cameraHolder.x = camera.leftBound - camera.boundedObject.x
			end
		end

		if (cameraHolder.y + camera.boundedObject.y >= camera.bottomBound) then
			if cameraHolder.y + camera.initialHolderHeight + camera.initialHolderTop > display.contentHeight then
				cameraHolder.y = camera.bottomBound - camera.boundedObject.y
			end
		elseif (cameraHolder.y + camera.boundedObject.y <= camera.topBound) then
			if cameraHolder.y + camera.initialHolderTop < 0 then
				cameraHolder.y = camera.topBound - camera.boundedObject.y
			end
		end
	end

	if var_isManMoving == true then
		if pig_Animation ~= nil then
			pig_Animation.xDirection = ( joystick_Sprite.x  - joystickCenter_Sprite.x  )

		pig_Animation.directionUpdated = true
		end
		if pig_Animation ~= nil then
			pig_Animation.yDirection = ( joystick_Sprite.y  - joystickCenter_Sprite.y  )

		pig_Animation.directionUpdated = true
		end
	end

	var_distanceToTable1 = (  math.sqrt(( (  math.pow(( pig_Animation.x  - table_Animation.x  ) , 2)  ) + (  math.pow(( pig_Animation.y  - table_Animation.y  ) , 2)  ) ) )  )
	var_distanceToMainTable = (  math.sqrt(( (  math.pow(( pig_Animation.x  - mainTable_Animation.x  ) , 2)  ) + (  math.pow(( pig_Animation.y  - mainTable_Animation.y  ) , 2)  ) ) )  )

	var_isTrollingTable1 = false
	if var_table1Completed == false then
		if var_table1Exploded == false then
			if healthBar_Sprite ~= nil and healthBar_Sprite.xScale  < 1 then
				if healthBar_Sprite ~= nil then
					healthBar_Sprite.xScale = ( healthBar_Sprite.xScale  + var_table1HealSpeed )

				end
			end
			if healthBar_Sprite ~= nil and healthBar_Sprite.xScale  >= 1 then
				var_table1Completed = true
			end
			if var_distanceToTable1 < 300 then
				if healthBar_Sprite ~= nil and healthBar_Sprite.xScale  > 0 then
					if healthBar_Sprite ~= nil then
						healthBar_Sprite.xScale = ( healthBar_Sprite.xScale  - 0.003 )

					end
					var_isTrolling = true
					var_isTrollingTable1 = true
				end
				if healthBar_Sprite ~= nil and healthBar_Sprite.xScale  <= 0 then
					if var_table1Exploded == false then
						var_table1Exploded = true
						if table_Animation ~= nil then
							if table_Animation.sequence ~= "tableExplosion" then
								table_Animation:setSequence("tableExplosion")
								table_Animation:play()
							end
						end
						soundList["tableExplosion"].play(0)
						soundList["glassBreak"].play(0)
						mTimerList[timerCount+1] = timer.performWithDelay(500, function ()
							if table_Animation ~= nil then
								if table_Animation.sequence ~= "tableIdleExploded" then
									table_Animation:setSequence("tableIdleExploded")
									table_Animation:play()
								end
							end
							soundList["electric1"].play(-1)
							end, 1)
						timerCount = timerCount + 1
					end
					if pig_Animation ~= nil then
						if pig_Animation.sequence ~= "pigIdle" then
							pig_Animation:setSequence("pigIdle")
							pig_Animation:play()
						end
					end
					soundList["drum"].stop()
				end
			end
		end
	end
	if var_isTrollingTable1 == false then
		var_isTrolling = false
	end

	if var_mainTableCompleted == false then
		if var_mainTableExploded == false then
			if mainHealthBar_Sprite ~= nil and mainHealthBar_Sprite.xScale  < 1 then
				if mainHealthBar_Sprite ~= nil then
					mainHealthBar_Sprite.xScale = ( mainHealthBar_Sprite.xScale  - 0.0005 )

				end
			end
			if var_distanceToMainTable < 300 then
				if mainHealthBar_Sprite ~= nil and mainHealthBar_Sprite.xScale  > 0 then
					if mainHealthBar_Sprite ~= nil then
						mainHealthBar_Sprite.xScale = ( mainHealthBar_Sprite.xScale  + var_mainTableHealSpeed )

					end
					if programmer7_Animation ~= nil then
						if programmer7_Animation.sequence ~= "programmerIdle" then
							programmer7_Animation:setSequence("programmerIdle")
							programmer7_Animation:play()
						end
					end
				end
			end
			if mainHealthBar_Sprite ~= nil and mainHealthBar_Sprite.xScale  >= 1 then
				var_mainTableCompleted = true
				if programmer7_Animation ~= nil then
					if programmer7_Animation.sequence ~= "programmerApplause" then
						programmer7_Animation:setSequence("programmerApplause")
						programmer7_Animation:play()
					end
				end
			end
			if var_distanceToMainTable >= 300 then
				if mainHealthBar_Sprite ~= nil and mainHealthBar_Sprite.xScale  <= 0 then
					if var_mainTableExploded == false then
						var_mainTableExploded = true
						if mainTable_Animation ~= nil then
							if mainTable_Animation.sequence ~= "mainTableExplosion" then
								mainTable_Animation:setSequence("mainTableExplosion")
								mainTable_Animation:play()
							end
						end
						soundList["tableExplosion"].play(0)
						soundList["glassBreak"].play(0)
						mTimerList[timerCount+1] = timer.performWithDelay(500, function ()
							if mainTable_Animation ~= nil then
								if mainTable_Animation.sequence ~= "mainTableIdleExploded" then
									mainTable_Animation:setSequence("mainTableIdleExploded")
									mainTable_Animation:play()
								end
							end
							end, 1)
						timerCount = timerCount + 1
						if programmer7_Animation ~= nil then
							if programmer7_Animation.sequence ~= "programmerCrying" then
								programmer7_Animation:setSequence("programmerCrying")
								programmer7_Animation:play()
							end
						end
					end
					soundList["drum"].stop()
				end
			end
		end
	end

	if var_table1Exploded == true then
		var_mainTableHealSpeed = 0.01
		if var_mainTableCompleted == true then
			var_isGameWin = true
		end
	end
	if var_table1Completed == true then
		var_isGameOver = true
	end
	if var_mainTableExploded == true then
		var_isGameOver = true
	end

	if var_isGameOver == true then
		if pig_Animation ~= nil then
			if pig_Animation.sequence ~= "mainTableIdle" then
				pig_Animation:setSequence("mainTableIdle")
				pig_Animation:play()
			end
		end
		if pig_Animation ~= nil then
			pig_Animation.rotation = ( pig_Animation.rotation  + 2 )

		pig_Animation.rotationUpdated = true
		end
		if pig_Animation ~= nil then
			pig_Animation.xSpeed = 0

		pig_Animation.xSpeedUpdated = true
		end
		if pig_Animation ~= nil then
			pig_Animation.ySpeed = 0

		pig_Animation.ySpeedUpdated = true
		end
		mTimerList[timerCount+1] = timer.performWithDelay(3000, function ()
			menuOut ( AdsMenuID )			end, 1)
		timerCount = timerCount + 1
	end
	if var_isGameWin == true then
		var_isLevel2Locked = false

		saveDataToDisk()		if pig_Animation ~= nil then
			if pig_Animation.sequence ~= "pigIdleDrum" then
				pig_Animation:setSequence("pigIdleDrum")
				pig_Animation:play()
			end
		end
		if pig_Animation ~= nil then
			pig_Animation.rotation = ( pig_Animation.rotation  - 2 )

		pig_Animation.rotationUpdated = true
		end
		if pig_Animation ~= nil then
			pig_Animation.xSpeed = 0

		pig_Animation.xSpeedUpdated = true
		end
		if pig_Animation ~= nil then
			pig_Animation.ySpeed = 0

		pig_Animation.ySpeedUpdated = true
		end
		soundList["drum"].play(-1)
		mTimerList[timerCount+1] = timer.performWithDelay(3000, function ()
			menuOut ( AdsMenuID )			soundList["drum"].stop()
			end, 1)
		timerCount = timerCount + 1
	end

	if var_table1Exploded == true then
		var_isTrollingTable1 = true
	end
	if var_isGameOver == false then
		if var_isTrollingTable1 == true then
			if programmer_Animation ~= nil then
				if programmer_Animation.sequence ~= "programmerCrying" then
					programmer_Animation:setSequence("programmerCrying")
					programmer_Animation:play()
				end
			end
			if programmer2_Animation ~= nil then
				if programmer2_Animation.sequence ~= "programmerCrying" then
					programmer2_Animation:setSequence("programmerCrying")
					programmer2_Animation:play()
				end
			end
		end
		if var_isTrollingTable1 == false then
			if programmer_Animation ~= nil then
				if programmer_Animation.sequence ~= "programmerIdle" then
					programmer_Animation:setSequence("programmerIdle")
					programmer_Animation:play()
				end
			end
			if programmer2_Animation ~= nil then
				if programmer2_Animation.sequence ~= "programmerIdle" then
					programmer2_Animation:setSequence("programmerIdle")
					programmer2_Animation:play()
				end
			end
		end
	end
	if var_table1Completed == true then
		if programmer_Animation ~= nil then
			if programmer_Animation.sequence ~= "programmerApplause" then
				programmer_Animation:setSequence("programmerApplause")
				programmer_Animation:play()
			end
		end
		if programmer2_Animation ~= nil then
			if programmer2_Animation.sequence ~= "programmerApplause" then
				programmer2_Animation:setSequence("programmerApplause")
				programmer2_Animation:play()
			end
		end
		if programmer7_Animation ~= nil then
			if programmer7_Animation.sequence ~= "programmerCrying" then
				programmer7_Animation:setSequence("programmerCrying")
				programmer7_Animation:play()
			end
		end
	end

	if speedUpText_Sprite ~= nil and speedUpText_Sprite.x  > ( displayWidth + 520 ) then
		if speedUpText_Sprite ~= nil then
			speedUpText_Sprite.xSpeed = 0

		speedUpText_Sprite.xSpeedUpdated = true
		end
		if speedUpText_Sprite ~= nil then
			speedUpText_Sprite.x = -520

		end
		var_speedUpTextReachMiddle = false
	end
	if var_speedUpTextReachMiddle == false then
		if speedUpText_Sprite ~= nil and speedUpText_Sprite.x  > displayHalfWidth then
			var_speedUpTextReachMiddle = true
			if speedUpText_Sprite ~= nil then
				speedUpText_Sprite.xSpeed = 0

			speedUpText_Sprite.xSpeedUpdated = true
			end
			mTimerList[timerCount+1] = timer.performWithDelay(1000, function ()
				if speedUpText_Sprite ~= nil then
					speedUpText_Sprite.xSpeed = 5000

				speedUpText_Sprite.xSpeedUpdated = true
				end
				end, 1)
			timerCount = timerCount + 1
		end
	end

	if var_isGameOver == true then
		if gameOver_Sprite ~= nil then
			gameOver_Sprite.alpha = 1

		end
	end
	if var_isGameWin == true then
		if youWon_Sprite ~= nil then
			youWon_Sprite.alpha = 1

		end
	end

	if healthBar_Sprite ~= nil and healthBar_Sprite.xScale  > 0.75 then
		if alert_Animation ~= nil then
			alert_Animation.alpha = 1

		end
	end
	if healthBar_Sprite ~= nil and healthBar_Sprite.xScale  <= 0.75 then
		if alert_Animation ~= nil then
			alert_Animation.alpha = 0

		end
	end
	if mainHealthBar_Sprite ~= nil and mainHealthBar_Sprite.xScale  < 0.25 then
		if mainAlert_Animation ~= nil then
			mainAlert_Animation.alpha = 1

		end
	end
	if mainHealthBar_Sprite ~= nil and mainHealthBar_Sprite.xScale  >= 0.25 then
		if mainAlert_Animation ~= nil then
			mainAlert_Animation.alpha = 0

		end
	end


	if programmer2_Animation ~= nil then
		if programmer2_Animation.hasBody == true then
			local vx, vy = programmer2_Animation:getLinearVelocity()
			programmer2_Animation.xCurrentSpeed = vx
			programmer2_Animation.yCurrentSpeed = vy
			if programmer2_Animation.xSpeedUpdated == true then
				programmer2_Animation:setLinearVelocity(programmer2_Animation.xSpeed, vy)
				programmer2_Animation.xSpeedUpdated = false
			end
			if programmer2_Animation.ySpeedUpdated == true then
				local vx2, vy2 = programmer2_Animation:getLinearVelocity()
				programmer2_Animation:setLinearVelocity(vx2, programmer2_Animation.ySpeed)
				programmer2_Animation.ySpeedUpdated = false
			end
			local vx3, vy3 = programmer2_Animation:getLinearVelocity()
			programmer2_Animation.xSpeed = vx3
			programmer2_Animation.ySpeed = vy3
		elseif programmer2_Animation.hasBody == false then
			programmer2_Animation.x = programmer2_Animation.x + programmer2_Animation.xSpeed * deltaTime * 0.001
			programmer2_Animation.y = programmer2_Animation.y + programmer2_Animation.ySpeed * deltaTime * 0.001
			programmer2_Animation.xCurrentSpeed = programmer2_Animation.xSpeed
			programmer2_Animation.yCurrentSpeed = programmer2_Animation.ySpeed
		end
		if programmer2_Animation.xDirection == 0 and programmer2_Animation.yDirection == 0 then
			programmer2_Animation.xDirection = 1
			programmer2_Animation.yDirection = 0
		end
		if programmer2_Animation.rotationUpdated == true then
			programmer2_Animation.xDirection = math.cos(programmer2_Animation.rotation * math.pi / 180)
			programmer2_Animation.yDirection = math.sin(programmer2_Animation.rotation * math.pi / 180)
			programmer2_Animation.rotationUpdated = false
		end
		if programmer2_Animation.directionUpdated == true then
			programmer2_Animation.rotation = ((math.atan2(programmer2_Animation.yDirection, programmer2_Animation.xDirection) * 180 / math.pi) + 720) % 360
			programmer2_Animation.directionUpdated = false
		end
		local tempXDir = programmer2_Animation.xDirection / math.sqrt((math.pow(programmer2_Animation.xDirection, 2) + math.pow(programmer2_Animation.yDirection, 2)))
		local tempYDir = programmer2_Animation.yDirection / math.sqrt((math.pow(programmer2_Animation.xDirection, 2) + math.pow(programmer2_Animation.yDirection, 2)))
		programmer2_Animation.xDirection = tempXDir
		programmer2_Animation.yDirection = tempYDir
	end
	if joystickCenter_Sprite ~= nil then
		if joystickCenter_Sprite.hasBody == true then
			local vx, vy = joystickCenter_Sprite:getLinearVelocity()
			joystickCenter_Sprite.xCurrentSpeed = vx
			joystickCenter_Sprite.yCurrentSpeed = vy
			if joystickCenter_Sprite.xSpeedUpdated == true then
				joystickCenter_Sprite:setLinearVelocity(joystickCenter_Sprite.xSpeed, vy)
				joystickCenter_Sprite.xSpeedUpdated = false
			end
			if joystickCenter_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = joystickCenter_Sprite:getLinearVelocity()
				joystickCenter_Sprite:setLinearVelocity(vx2, joystickCenter_Sprite.ySpeed)
				joystickCenter_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = joystickCenter_Sprite:getLinearVelocity()
			joystickCenter_Sprite.xSpeed = vx3
			joystickCenter_Sprite.ySpeed = vy3
		elseif joystickCenter_Sprite.hasBody == false then
			joystickCenter_Sprite.x = joystickCenter_Sprite.x + joystickCenter_Sprite.xSpeed * deltaTime * 0.001
			joystickCenter_Sprite.y = joystickCenter_Sprite.y + joystickCenter_Sprite.ySpeed * deltaTime * 0.001
			joystickCenter_Sprite.xCurrentSpeed = joystickCenter_Sprite.xSpeed
			joystickCenter_Sprite.yCurrentSpeed = joystickCenter_Sprite.ySpeed
		end
		if joystickCenter_Sprite.xDirection == 0 and joystickCenter_Sprite.yDirection == 0 then
			joystickCenter_Sprite.xDirection = 1
			joystickCenter_Sprite.yDirection = 0
		end
		if joystickCenter_Sprite.rotationUpdated == true then
			joystickCenter_Sprite.xDirection = math.cos(joystickCenter_Sprite.rotation * math.pi / 180)
			joystickCenter_Sprite.yDirection = math.sin(joystickCenter_Sprite.rotation * math.pi / 180)
			joystickCenter_Sprite.rotationUpdated = false
		end
		if joystickCenter_Sprite.directionUpdated == true then
			joystickCenter_Sprite.rotation = ((math.atan2(joystickCenter_Sprite.yDirection, joystickCenter_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			joystickCenter_Sprite.directionUpdated = false
		end
		local tempXDir = joystickCenter_Sprite.xDirection / math.sqrt((math.pow(joystickCenter_Sprite.xDirection, 2) + math.pow(joystickCenter_Sprite.yDirection, 2)))
		local tempYDir = joystickCenter_Sprite.yDirection / math.sqrt((math.pow(joystickCenter_Sprite.xDirection, 2) + math.pow(joystickCenter_Sprite.yDirection, 2)))
		joystickCenter_Sprite.xDirection = tempXDir
		joystickCenter_Sprite.yDirection = tempYDir
	end
	if wall_Sprite ~= nil then
		if wall_Sprite.hasBody == true then
			local vx, vy = wall_Sprite:getLinearVelocity()
			wall_Sprite.xCurrentSpeed = vx
			wall_Sprite.yCurrentSpeed = vy
			if wall_Sprite.xSpeedUpdated == true then
				wall_Sprite:setLinearVelocity(wall_Sprite.xSpeed, vy)
				wall_Sprite.xSpeedUpdated = false
			end
			if wall_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = wall_Sprite:getLinearVelocity()
				wall_Sprite:setLinearVelocity(vx2, wall_Sprite.ySpeed)
				wall_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = wall_Sprite:getLinearVelocity()
			wall_Sprite.xSpeed = vx3
			wall_Sprite.ySpeed = vy3
		elseif wall_Sprite.hasBody == false then
			wall_Sprite.x = wall_Sprite.x + wall_Sprite.xSpeed * deltaTime * 0.001
			wall_Sprite.y = wall_Sprite.y + wall_Sprite.ySpeed * deltaTime * 0.001
			wall_Sprite.xCurrentSpeed = wall_Sprite.xSpeed
			wall_Sprite.yCurrentSpeed = wall_Sprite.ySpeed
		end
		if wall_Sprite.xDirection == 0 and wall_Sprite.yDirection == 0 then
			wall_Sprite.xDirection = 1
			wall_Sprite.yDirection = 0
		end
		if wall_Sprite.rotationUpdated == true then
			wall_Sprite.xDirection = math.cos(wall_Sprite.rotation * math.pi / 180)
			wall_Sprite.yDirection = math.sin(wall_Sprite.rotation * math.pi / 180)
			wall_Sprite.rotationUpdated = false
		end
		if wall_Sprite.directionUpdated == true then
			wall_Sprite.rotation = ((math.atan2(wall_Sprite.yDirection, wall_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			wall_Sprite.directionUpdated = false
		end
		local tempXDir = wall_Sprite.xDirection / math.sqrt((math.pow(wall_Sprite.xDirection, 2) + math.pow(wall_Sprite.yDirection, 2)))
		local tempYDir = wall_Sprite.yDirection / math.sqrt((math.pow(wall_Sprite.xDirection, 2) + math.pow(wall_Sprite.yDirection, 2)))
		wall_Sprite.xDirection = tempXDir
		wall_Sprite.yDirection = tempYDir
	end
	if table_Animation ~= nil then
		if table_Animation.hasBody == true then
			local vx, vy = table_Animation:getLinearVelocity()
			table_Animation.xCurrentSpeed = vx
			table_Animation.yCurrentSpeed = vy
			if table_Animation.xSpeedUpdated == true then
				table_Animation:setLinearVelocity(table_Animation.xSpeed, vy)
				table_Animation.xSpeedUpdated = false
			end
			if table_Animation.ySpeedUpdated == true then
				local vx2, vy2 = table_Animation:getLinearVelocity()
				table_Animation:setLinearVelocity(vx2, table_Animation.ySpeed)
				table_Animation.ySpeedUpdated = false
			end
			local vx3, vy3 = table_Animation:getLinearVelocity()
			table_Animation.xSpeed = vx3
			table_Animation.ySpeed = vy3
		elseif table_Animation.hasBody == false then
			table_Animation.x = table_Animation.x + table_Animation.xSpeed * deltaTime * 0.001
			table_Animation.y = table_Animation.y + table_Animation.ySpeed * deltaTime * 0.001
			table_Animation.xCurrentSpeed = table_Animation.xSpeed
			table_Animation.yCurrentSpeed = table_Animation.ySpeed
		end
		if table_Animation.xDirection == 0 and table_Animation.yDirection == 0 then
			table_Animation.xDirection = 1
			table_Animation.yDirection = 0
		end
		if table_Animation.rotationUpdated == true then
			table_Animation.xDirection = math.cos(table_Animation.rotation * math.pi / 180)
			table_Animation.yDirection = math.sin(table_Animation.rotation * math.pi / 180)
			table_Animation.rotationUpdated = false
		end
		if table_Animation.directionUpdated == true then
			table_Animation.rotation = ((math.atan2(table_Animation.yDirection, table_Animation.xDirection) * 180 / math.pi) + 720) % 360
			table_Animation.directionUpdated = false
		end
		local tempXDir = table_Animation.xDirection / math.sqrt((math.pow(table_Animation.xDirection, 2) + math.pow(table_Animation.yDirection, 2)))
		local tempYDir = table_Animation.yDirection / math.sqrt((math.pow(table_Animation.xDirection, 2) + math.pow(table_Animation.yDirection, 2)))
		table_Animation.xDirection = tempXDir
		table_Animation.yDirection = tempYDir
	end
	if programmer7_Animation ~= nil then
		if programmer7_Animation.hasBody == true then
			local vx, vy = programmer7_Animation:getLinearVelocity()
			programmer7_Animation.xCurrentSpeed = vx
			programmer7_Animation.yCurrentSpeed = vy
			if programmer7_Animation.xSpeedUpdated == true then
				programmer7_Animation:setLinearVelocity(programmer7_Animation.xSpeed, vy)
				programmer7_Animation.xSpeedUpdated = false
			end
			if programmer7_Animation.ySpeedUpdated == true then
				local vx2, vy2 = programmer7_Animation:getLinearVelocity()
				programmer7_Animation:setLinearVelocity(vx2, programmer7_Animation.ySpeed)
				programmer7_Animation.ySpeedUpdated = false
			end
			local vx3, vy3 = programmer7_Animation:getLinearVelocity()
			programmer7_Animation.xSpeed = vx3
			programmer7_Animation.ySpeed = vy3
		elseif programmer7_Animation.hasBody == false then
			programmer7_Animation.x = programmer7_Animation.x + programmer7_Animation.xSpeed * deltaTime * 0.001
			programmer7_Animation.y = programmer7_Animation.y + programmer7_Animation.ySpeed * deltaTime * 0.001
			programmer7_Animation.xCurrentSpeed = programmer7_Animation.xSpeed
			programmer7_Animation.yCurrentSpeed = programmer7_Animation.ySpeed
		end
		if programmer7_Animation.xDirection == 0 and programmer7_Animation.yDirection == 0 then
			programmer7_Animation.xDirection = 1
			programmer7_Animation.yDirection = 0
		end
		if programmer7_Animation.rotationUpdated == true then
			programmer7_Animation.xDirection = math.cos(programmer7_Animation.rotation * math.pi / 180)
			programmer7_Animation.yDirection = math.sin(programmer7_Animation.rotation * math.pi / 180)
			programmer7_Animation.rotationUpdated = false
		end
		if programmer7_Animation.directionUpdated == true then
			programmer7_Animation.rotation = ((math.atan2(programmer7_Animation.yDirection, programmer7_Animation.xDirection) * 180 / math.pi) + 720) % 360
			programmer7_Animation.directionUpdated = false
		end
		local tempXDir = programmer7_Animation.xDirection / math.sqrt((math.pow(programmer7_Animation.xDirection, 2) + math.pow(programmer7_Animation.yDirection, 2)))
		local tempYDir = programmer7_Animation.yDirection / math.sqrt((math.pow(programmer7_Animation.xDirection, 2) + math.pow(programmer7_Animation.yDirection, 2)))
		programmer7_Animation.xDirection = tempXDir
		programmer7_Animation.yDirection = tempYDir
	end
	if floor_Sprite ~= nil then
		if floor_Sprite.hasBody == true then
			local vx, vy = floor_Sprite:getLinearVelocity()
			floor_Sprite.xCurrentSpeed = vx
			floor_Sprite.yCurrentSpeed = vy
			if floor_Sprite.xSpeedUpdated == true then
				floor_Sprite:setLinearVelocity(floor_Sprite.xSpeed, vy)
				floor_Sprite.xSpeedUpdated = false
			end
			if floor_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = floor_Sprite:getLinearVelocity()
				floor_Sprite:setLinearVelocity(vx2, floor_Sprite.ySpeed)
				floor_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = floor_Sprite:getLinearVelocity()
			floor_Sprite.xSpeed = vx3
			floor_Sprite.ySpeed = vy3
		elseif floor_Sprite.hasBody == false then
			floor_Sprite.x = floor_Sprite.x + floor_Sprite.xSpeed * deltaTime * 0.001
			floor_Sprite.y = floor_Sprite.y + floor_Sprite.ySpeed * deltaTime * 0.001
			floor_Sprite.xCurrentSpeed = floor_Sprite.xSpeed
			floor_Sprite.yCurrentSpeed = floor_Sprite.ySpeed
		end
		if floor_Sprite.xDirection == 0 and floor_Sprite.yDirection == 0 then
			floor_Sprite.xDirection = 1
			floor_Sprite.yDirection = 0
		end
		if floor_Sprite.rotationUpdated == true then
			floor_Sprite.xDirection = math.cos(floor_Sprite.rotation * math.pi / 180)
			floor_Sprite.yDirection = math.sin(floor_Sprite.rotation * math.pi / 180)
			floor_Sprite.rotationUpdated = false
		end
		if floor_Sprite.directionUpdated == true then
			floor_Sprite.rotation = ((math.atan2(floor_Sprite.yDirection, floor_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			floor_Sprite.directionUpdated = false
		end
		local tempXDir = floor_Sprite.xDirection / math.sqrt((math.pow(floor_Sprite.xDirection, 2) + math.pow(floor_Sprite.yDirection, 2)))
		local tempYDir = floor_Sprite.yDirection / math.sqrt((math.pow(floor_Sprite.xDirection, 2) + math.pow(floor_Sprite.yDirection, 2)))
		floor_Sprite.xDirection = tempXDir
		floor_Sprite.yDirection = tempYDir
	end
	if healthBar_Sprite ~= nil then
		if healthBar_Sprite.hasBody == true then
			local vx, vy = healthBar_Sprite:getLinearVelocity()
			healthBar_Sprite.xCurrentSpeed = vx
			healthBar_Sprite.yCurrentSpeed = vy
			if healthBar_Sprite.xSpeedUpdated == true then
				healthBar_Sprite:setLinearVelocity(healthBar_Sprite.xSpeed, vy)
				healthBar_Sprite.xSpeedUpdated = false
			end
			if healthBar_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = healthBar_Sprite:getLinearVelocity()
				healthBar_Sprite:setLinearVelocity(vx2, healthBar_Sprite.ySpeed)
				healthBar_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = healthBar_Sprite:getLinearVelocity()
			healthBar_Sprite.xSpeed = vx3
			healthBar_Sprite.ySpeed = vy3
		elseif healthBar_Sprite.hasBody == false then
			healthBar_Sprite.x = healthBar_Sprite.x + healthBar_Sprite.xSpeed * deltaTime * 0.001
			healthBar_Sprite.y = healthBar_Sprite.y + healthBar_Sprite.ySpeed * deltaTime * 0.001
			healthBar_Sprite.xCurrentSpeed = healthBar_Sprite.xSpeed
			healthBar_Sprite.yCurrentSpeed = healthBar_Sprite.ySpeed
		end
		if healthBar_Sprite.xDirection == 0 and healthBar_Sprite.yDirection == 0 then
			healthBar_Sprite.xDirection = 1
			healthBar_Sprite.yDirection = 0
		end
		if healthBar_Sprite.rotationUpdated == true then
			healthBar_Sprite.xDirection = math.cos(healthBar_Sprite.rotation * math.pi / 180)
			healthBar_Sprite.yDirection = math.sin(healthBar_Sprite.rotation * math.pi / 180)
			healthBar_Sprite.rotationUpdated = false
		end
		if healthBar_Sprite.directionUpdated == true then
			healthBar_Sprite.rotation = ((math.atan2(healthBar_Sprite.yDirection, healthBar_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			healthBar_Sprite.directionUpdated = false
		end
		local tempXDir = healthBar_Sprite.xDirection / math.sqrt((math.pow(healthBar_Sprite.xDirection, 2) + math.pow(healthBar_Sprite.yDirection, 2)))
		local tempYDir = healthBar_Sprite.yDirection / math.sqrt((math.pow(healthBar_Sprite.xDirection, 2) + math.pow(healthBar_Sprite.yDirection, 2)))
		healthBar_Sprite.xDirection = tempXDir
		healthBar_Sprite.yDirection = tempYDir
	end
	if wall4_Sprite ~= nil then
		if wall4_Sprite.hasBody == true then
			local vx, vy = wall4_Sprite:getLinearVelocity()
			wall4_Sprite.xCurrentSpeed = vx
			wall4_Sprite.yCurrentSpeed = vy
			if wall4_Sprite.xSpeedUpdated == true then
				wall4_Sprite:setLinearVelocity(wall4_Sprite.xSpeed, vy)
				wall4_Sprite.xSpeedUpdated = false
			end
			if wall4_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = wall4_Sprite:getLinearVelocity()
				wall4_Sprite:setLinearVelocity(vx2, wall4_Sprite.ySpeed)
				wall4_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = wall4_Sprite:getLinearVelocity()
			wall4_Sprite.xSpeed = vx3
			wall4_Sprite.ySpeed = vy3
		elseif wall4_Sprite.hasBody == false then
			wall4_Sprite.x = wall4_Sprite.x + wall4_Sprite.xSpeed * deltaTime * 0.001
			wall4_Sprite.y = wall4_Sprite.y + wall4_Sprite.ySpeed * deltaTime * 0.001
			wall4_Sprite.xCurrentSpeed = wall4_Sprite.xSpeed
			wall4_Sprite.yCurrentSpeed = wall4_Sprite.ySpeed
		end
		if wall4_Sprite.xDirection == 0 and wall4_Sprite.yDirection == 0 then
			wall4_Sprite.xDirection = 1
			wall4_Sprite.yDirection = 0
		end
		if wall4_Sprite.rotationUpdated == true then
			wall4_Sprite.xDirection = math.cos(wall4_Sprite.rotation * math.pi / 180)
			wall4_Sprite.yDirection = math.sin(wall4_Sprite.rotation * math.pi / 180)
			wall4_Sprite.rotationUpdated = false
		end
		if wall4_Sprite.directionUpdated == true then
			wall4_Sprite.rotation = ((math.atan2(wall4_Sprite.yDirection, wall4_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			wall4_Sprite.directionUpdated = false
		end
		local tempXDir = wall4_Sprite.xDirection / math.sqrt((math.pow(wall4_Sprite.xDirection, 2) + math.pow(wall4_Sprite.yDirection, 2)))
		local tempYDir = wall4_Sprite.yDirection / math.sqrt((math.pow(wall4_Sprite.xDirection, 2) + math.pow(wall4_Sprite.yDirection, 2)))
		wall4_Sprite.xDirection = tempXDir
		wall4_Sprite.yDirection = tempYDir
	end
	if mainAlert_Animation ~= nil then
		if mainAlert_Animation.hasBody == true then
			local vx, vy = mainAlert_Animation:getLinearVelocity()
			mainAlert_Animation.xCurrentSpeed = vx
			mainAlert_Animation.yCurrentSpeed = vy
			if mainAlert_Animation.xSpeedUpdated == true then
				mainAlert_Animation:setLinearVelocity(mainAlert_Animation.xSpeed, vy)
				mainAlert_Animation.xSpeedUpdated = false
			end
			if mainAlert_Animation.ySpeedUpdated == true then
				local vx2, vy2 = mainAlert_Animation:getLinearVelocity()
				mainAlert_Animation:setLinearVelocity(vx2, mainAlert_Animation.ySpeed)
				mainAlert_Animation.ySpeedUpdated = false
			end
			local vx3, vy3 = mainAlert_Animation:getLinearVelocity()
			mainAlert_Animation.xSpeed = vx3
			mainAlert_Animation.ySpeed = vy3
		elseif mainAlert_Animation.hasBody == false then
			mainAlert_Animation.x = mainAlert_Animation.x + mainAlert_Animation.xSpeed * deltaTime * 0.001
			mainAlert_Animation.y = mainAlert_Animation.y + mainAlert_Animation.ySpeed * deltaTime * 0.001
			mainAlert_Animation.xCurrentSpeed = mainAlert_Animation.xSpeed
			mainAlert_Animation.yCurrentSpeed = mainAlert_Animation.ySpeed
		end
		if mainAlert_Animation.xDirection == 0 and mainAlert_Animation.yDirection == 0 then
			mainAlert_Animation.xDirection = 1
			mainAlert_Animation.yDirection = 0
		end
		if mainAlert_Animation.rotationUpdated == true then
			mainAlert_Animation.xDirection = math.cos(mainAlert_Animation.rotation * math.pi / 180)
			mainAlert_Animation.yDirection = math.sin(mainAlert_Animation.rotation * math.pi / 180)
			mainAlert_Animation.rotationUpdated = false
		end
		if mainAlert_Animation.directionUpdated == true then
			mainAlert_Animation.rotation = ((math.atan2(mainAlert_Animation.yDirection, mainAlert_Animation.xDirection) * 180 / math.pi) + 720) % 360
			mainAlert_Animation.directionUpdated = false
		end
		local tempXDir = mainAlert_Animation.xDirection / math.sqrt((math.pow(mainAlert_Animation.xDirection, 2) + math.pow(mainAlert_Animation.yDirection, 2)))
		local tempYDir = mainAlert_Animation.yDirection / math.sqrt((math.pow(mainAlert_Animation.xDirection, 2) + math.pow(mainAlert_Animation.yDirection, 2)))
		mainAlert_Animation.xDirection = tempXDir
		mainAlert_Animation.yDirection = tempYDir
	end
	if wall2_Sprite ~= nil then
		if wall2_Sprite.hasBody == true then
			local vx, vy = wall2_Sprite:getLinearVelocity()
			wall2_Sprite.xCurrentSpeed = vx
			wall2_Sprite.yCurrentSpeed = vy
			if wall2_Sprite.xSpeedUpdated == true then
				wall2_Sprite:setLinearVelocity(wall2_Sprite.xSpeed, vy)
				wall2_Sprite.xSpeedUpdated = false
			end
			if wall2_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = wall2_Sprite:getLinearVelocity()
				wall2_Sprite:setLinearVelocity(vx2, wall2_Sprite.ySpeed)
				wall2_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = wall2_Sprite:getLinearVelocity()
			wall2_Sprite.xSpeed = vx3
			wall2_Sprite.ySpeed = vy3
		elseif wall2_Sprite.hasBody == false then
			wall2_Sprite.x = wall2_Sprite.x + wall2_Sprite.xSpeed * deltaTime * 0.001
			wall2_Sprite.y = wall2_Sprite.y + wall2_Sprite.ySpeed * deltaTime * 0.001
			wall2_Sprite.xCurrentSpeed = wall2_Sprite.xSpeed
			wall2_Sprite.yCurrentSpeed = wall2_Sprite.ySpeed
		end
		if wall2_Sprite.xDirection == 0 and wall2_Sprite.yDirection == 0 then
			wall2_Sprite.xDirection = 1
			wall2_Sprite.yDirection = 0
		end
		if wall2_Sprite.rotationUpdated == true then
			wall2_Sprite.xDirection = math.cos(wall2_Sprite.rotation * math.pi / 180)
			wall2_Sprite.yDirection = math.sin(wall2_Sprite.rotation * math.pi / 180)
			wall2_Sprite.rotationUpdated = false
		end
		if wall2_Sprite.directionUpdated == true then
			wall2_Sprite.rotation = ((math.atan2(wall2_Sprite.yDirection, wall2_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			wall2_Sprite.directionUpdated = false
		end
		local tempXDir = wall2_Sprite.xDirection / math.sqrt((math.pow(wall2_Sprite.xDirection, 2) + math.pow(wall2_Sprite.yDirection, 2)))
		local tempYDir = wall2_Sprite.yDirection / math.sqrt((math.pow(wall2_Sprite.xDirection, 2) + math.pow(wall2_Sprite.yDirection, 2)))
		wall2_Sprite.xDirection = tempXDir
		wall2_Sprite.yDirection = tempYDir
	end
	if mainTable_Animation ~= nil then
		if mainTable_Animation.hasBody == true then
			local vx, vy = mainTable_Animation:getLinearVelocity()
			mainTable_Animation.xCurrentSpeed = vx
			mainTable_Animation.yCurrentSpeed = vy
			if mainTable_Animation.xSpeedUpdated == true then
				mainTable_Animation:setLinearVelocity(mainTable_Animation.xSpeed, vy)
				mainTable_Animation.xSpeedUpdated = false
			end
			if mainTable_Animation.ySpeedUpdated == true then
				local vx2, vy2 = mainTable_Animation:getLinearVelocity()
				mainTable_Animation:setLinearVelocity(vx2, mainTable_Animation.ySpeed)
				mainTable_Animation.ySpeedUpdated = false
			end
			local vx3, vy3 = mainTable_Animation:getLinearVelocity()
			mainTable_Animation.xSpeed = vx3
			mainTable_Animation.ySpeed = vy3
		elseif mainTable_Animation.hasBody == false then
			mainTable_Animation.x = mainTable_Animation.x + mainTable_Animation.xSpeed * deltaTime * 0.001
			mainTable_Animation.y = mainTable_Animation.y + mainTable_Animation.ySpeed * deltaTime * 0.001
			mainTable_Animation.xCurrentSpeed = mainTable_Animation.xSpeed
			mainTable_Animation.yCurrentSpeed = mainTable_Animation.ySpeed
		end
		if mainTable_Animation.xDirection == 0 and mainTable_Animation.yDirection == 0 then
			mainTable_Animation.xDirection = 1
			mainTable_Animation.yDirection = 0
		end
		if mainTable_Animation.rotationUpdated == true then
			mainTable_Animation.xDirection = math.cos(mainTable_Animation.rotation * math.pi / 180)
			mainTable_Animation.yDirection = math.sin(mainTable_Animation.rotation * math.pi / 180)
			mainTable_Animation.rotationUpdated = false
		end
		if mainTable_Animation.directionUpdated == true then
			mainTable_Animation.rotation = ((math.atan2(mainTable_Animation.yDirection, mainTable_Animation.xDirection) * 180 / math.pi) + 720) % 360
			mainTable_Animation.directionUpdated = false
		end
		local tempXDir = mainTable_Animation.xDirection / math.sqrt((math.pow(mainTable_Animation.xDirection, 2) + math.pow(mainTable_Animation.yDirection, 2)))
		local tempYDir = mainTable_Animation.yDirection / math.sqrt((math.pow(mainTable_Animation.xDirection, 2) + math.pow(mainTable_Animation.yDirection, 2)))
		mainTable_Animation.xDirection = tempXDir
		mainTable_Animation.yDirection = tempYDir
	end
	if gameOver_Sprite ~= nil then
		if gameOver_Sprite.hasBody == true then
			local vx, vy = gameOver_Sprite:getLinearVelocity()
			gameOver_Sprite.xCurrentSpeed = vx
			gameOver_Sprite.yCurrentSpeed = vy
			if gameOver_Sprite.xSpeedUpdated == true then
				gameOver_Sprite:setLinearVelocity(gameOver_Sprite.xSpeed, vy)
				gameOver_Sprite.xSpeedUpdated = false
			end
			if gameOver_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = gameOver_Sprite:getLinearVelocity()
				gameOver_Sprite:setLinearVelocity(vx2, gameOver_Sprite.ySpeed)
				gameOver_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = gameOver_Sprite:getLinearVelocity()
			gameOver_Sprite.xSpeed = vx3
			gameOver_Sprite.ySpeed = vy3
		elseif gameOver_Sprite.hasBody == false then
			gameOver_Sprite.x = gameOver_Sprite.x + gameOver_Sprite.xSpeed * deltaTime * 0.001
			gameOver_Sprite.y = gameOver_Sprite.y + gameOver_Sprite.ySpeed * deltaTime * 0.001
			gameOver_Sprite.xCurrentSpeed = gameOver_Sprite.xSpeed
			gameOver_Sprite.yCurrentSpeed = gameOver_Sprite.ySpeed
		end
		if gameOver_Sprite.xDirection == 0 and gameOver_Sprite.yDirection == 0 then
			gameOver_Sprite.xDirection = 1
			gameOver_Sprite.yDirection = 0
		end
		if gameOver_Sprite.rotationUpdated == true then
			gameOver_Sprite.xDirection = math.cos(gameOver_Sprite.rotation * math.pi / 180)
			gameOver_Sprite.yDirection = math.sin(gameOver_Sprite.rotation * math.pi / 180)
			gameOver_Sprite.rotationUpdated = false
		end
		if gameOver_Sprite.directionUpdated == true then
			gameOver_Sprite.rotation = ((math.atan2(gameOver_Sprite.yDirection, gameOver_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			gameOver_Sprite.directionUpdated = false
		end
		local tempXDir = gameOver_Sprite.xDirection / math.sqrt((math.pow(gameOver_Sprite.xDirection, 2) + math.pow(gameOver_Sprite.yDirection, 2)))
		local tempYDir = gameOver_Sprite.yDirection / math.sqrt((math.pow(gameOver_Sprite.xDirection, 2) + math.pow(gameOver_Sprite.yDirection, 2)))
		gameOver_Sprite.xDirection = tempXDir
		gameOver_Sprite.yDirection = tempYDir
	end
	if joystick_Sprite ~= nil then
		if joystick_Sprite.hasBody == true then
			local vx, vy = joystick_Sprite:getLinearVelocity()
			joystick_Sprite.xCurrentSpeed = vx
			joystick_Sprite.yCurrentSpeed = vy
			if joystick_Sprite.xSpeedUpdated == true then
				joystick_Sprite:setLinearVelocity(joystick_Sprite.xSpeed, vy)
				joystick_Sprite.xSpeedUpdated = false
			end
			if joystick_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = joystick_Sprite:getLinearVelocity()
				joystick_Sprite:setLinearVelocity(vx2, joystick_Sprite.ySpeed)
				joystick_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = joystick_Sprite:getLinearVelocity()
			joystick_Sprite.xSpeed = vx3
			joystick_Sprite.ySpeed = vy3
		elseif joystick_Sprite.hasBody == false then
			joystick_Sprite.x = joystick_Sprite.x + joystick_Sprite.xSpeed * deltaTime * 0.001
			joystick_Sprite.y = joystick_Sprite.y + joystick_Sprite.ySpeed * deltaTime * 0.001
			joystick_Sprite.xCurrentSpeed = joystick_Sprite.xSpeed
			joystick_Sprite.yCurrentSpeed = joystick_Sprite.ySpeed
		end
		if joystick_Sprite.xDirection == 0 and joystick_Sprite.yDirection == 0 then
			joystick_Sprite.xDirection = 1
			joystick_Sprite.yDirection = 0
		end
		if joystick_Sprite.rotationUpdated == true then
			joystick_Sprite.xDirection = math.cos(joystick_Sprite.rotation * math.pi / 180)
			joystick_Sprite.yDirection = math.sin(joystick_Sprite.rotation * math.pi / 180)
			joystick_Sprite.rotationUpdated = false
		end
		if joystick_Sprite.directionUpdated == true then
			joystick_Sprite.rotation = ((math.atan2(joystick_Sprite.yDirection, joystick_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			joystick_Sprite.directionUpdated = false
		end
		local tempXDir = joystick_Sprite.xDirection / math.sqrt((math.pow(joystick_Sprite.xDirection, 2) + math.pow(joystick_Sprite.yDirection, 2)))
		local tempYDir = joystick_Sprite.yDirection / math.sqrt((math.pow(joystick_Sprite.xDirection, 2) + math.pow(joystick_Sprite.yDirection, 2)))
		joystick_Sprite.xDirection = tempXDir
		joystick_Sprite.yDirection = tempYDir
	end
	if mainHealthBar_Sprite ~= nil then
		if mainHealthBar_Sprite.hasBody == true then
			local vx, vy = mainHealthBar_Sprite:getLinearVelocity()
			mainHealthBar_Sprite.xCurrentSpeed = vx
			mainHealthBar_Sprite.yCurrentSpeed = vy
			if mainHealthBar_Sprite.xSpeedUpdated == true then
				mainHealthBar_Sprite:setLinearVelocity(mainHealthBar_Sprite.xSpeed, vy)
				mainHealthBar_Sprite.xSpeedUpdated = false
			end
			if mainHealthBar_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = mainHealthBar_Sprite:getLinearVelocity()
				mainHealthBar_Sprite:setLinearVelocity(vx2, mainHealthBar_Sprite.ySpeed)
				mainHealthBar_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = mainHealthBar_Sprite:getLinearVelocity()
			mainHealthBar_Sprite.xSpeed = vx3
			mainHealthBar_Sprite.ySpeed = vy3
		elseif mainHealthBar_Sprite.hasBody == false then
			mainHealthBar_Sprite.x = mainHealthBar_Sprite.x + mainHealthBar_Sprite.xSpeed * deltaTime * 0.001
			mainHealthBar_Sprite.y = mainHealthBar_Sprite.y + mainHealthBar_Sprite.ySpeed * deltaTime * 0.001
			mainHealthBar_Sprite.xCurrentSpeed = mainHealthBar_Sprite.xSpeed
			mainHealthBar_Sprite.yCurrentSpeed = mainHealthBar_Sprite.ySpeed
		end
		if mainHealthBar_Sprite.xDirection == 0 and mainHealthBar_Sprite.yDirection == 0 then
			mainHealthBar_Sprite.xDirection = 1
			mainHealthBar_Sprite.yDirection = 0
		end
		if mainHealthBar_Sprite.rotationUpdated == true then
			mainHealthBar_Sprite.xDirection = math.cos(mainHealthBar_Sprite.rotation * math.pi / 180)
			mainHealthBar_Sprite.yDirection = math.sin(mainHealthBar_Sprite.rotation * math.pi / 180)
			mainHealthBar_Sprite.rotationUpdated = false
		end
		if mainHealthBar_Sprite.directionUpdated == true then
			mainHealthBar_Sprite.rotation = ((math.atan2(mainHealthBar_Sprite.yDirection, mainHealthBar_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			mainHealthBar_Sprite.directionUpdated = false
		end
		local tempXDir = mainHealthBar_Sprite.xDirection / math.sqrt((math.pow(mainHealthBar_Sprite.xDirection, 2) + math.pow(mainHealthBar_Sprite.yDirection, 2)))
		local tempYDir = mainHealthBar_Sprite.yDirection / math.sqrt((math.pow(mainHealthBar_Sprite.xDirection, 2) + math.pow(mainHealthBar_Sprite.yDirection, 2)))
		mainHealthBar_Sprite.xDirection = tempXDir
		mainHealthBar_Sprite.yDirection = tempYDir
	end
	if pig_Animation ~= nil then
		if pig_Animation.hasBody == true then
			local vx, vy = pig_Animation:getLinearVelocity()
			pig_Animation.xCurrentSpeed = vx
			pig_Animation.yCurrentSpeed = vy
			if pig_Animation.xSpeedUpdated == true then
				pig_Animation:setLinearVelocity(pig_Animation.xSpeed, vy)
				pig_Animation.xSpeedUpdated = false
			end
			if pig_Animation.ySpeedUpdated == true then
				local vx2, vy2 = pig_Animation:getLinearVelocity()
				pig_Animation:setLinearVelocity(vx2, pig_Animation.ySpeed)
				pig_Animation.ySpeedUpdated = false
			end
			local vx3, vy3 = pig_Animation:getLinearVelocity()
			pig_Animation.xSpeed = vx3
			pig_Animation.ySpeed = vy3
		elseif pig_Animation.hasBody == false then
			pig_Animation.x = pig_Animation.x + pig_Animation.xSpeed * deltaTime * 0.001
			pig_Animation.y = pig_Animation.y + pig_Animation.ySpeed * deltaTime * 0.001
			pig_Animation.xCurrentSpeed = pig_Animation.xSpeed
			pig_Animation.yCurrentSpeed = pig_Animation.ySpeed
		end
		if pig_Animation.xDirection == 0 and pig_Animation.yDirection == 0 then
			pig_Animation.xDirection = 1
			pig_Animation.yDirection = 0
		end
		if pig_Animation.rotationUpdated == true then
			pig_Animation.xDirection = math.cos(pig_Animation.rotation * math.pi / 180)
			pig_Animation.yDirection = math.sin(pig_Animation.rotation * math.pi / 180)
			pig_Animation.rotationUpdated = false
		end
		if pig_Animation.directionUpdated == true then
			pig_Animation.rotation = ((math.atan2(pig_Animation.yDirection, pig_Animation.xDirection) * 180 / math.pi) + 720) % 360
			pig_Animation.directionUpdated = false
		end
		local tempXDir = pig_Animation.xDirection / math.sqrt((math.pow(pig_Animation.xDirection, 2) + math.pow(pig_Animation.yDirection, 2)))
		local tempYDir = pig_Animation.yDirection / math.sqrt((math.pow(pig_Animation.xDirection, 2) + math.pow(pig_Animation.yDirection, 2)))
		pig_Animation.xDirection = tempXDir
		pig_Animation.yDirection = tempYDir
	end
	if programmer_Animation ~= nil then
		if programmer_Animation.hasBody == true then
			local vx, vy = programmer_Animation:getLinearVelocity()
			programmer_Animation.xCurrentSpeed = vx
			programmer_Animation.yCurrentSpeed = vy
			if programmer_Animation.xSpeedUpdated == true then
				programmer_Animation:setLinearVelocity(programmer_Animation.xSpeed, vy)
				programmer_Animation.xSpeedUpdated = false
			end
			if programmer_Animation.ySpeedUpdated == true then
				local vx2, vy2 = programmer_Animation:getLinearVelocity()
				programmer_Animation:setLinearVelocity(vx2, programmer_Animation.ySpeed)
				programmer_Animation.ySpeedUpdated = false
			end
			local vx3, vy3 = programmer_Animation:getLinearVelocity()
			programmer_Animation.xSpeed = vx3
			programmer_Animation.ySpeed = vy3
		elseif programmer_Animation.hasBody == false then
			programmer_Animation.x = programmer_Animation.x + programmer_Animation.xSpeed * deltaTime * 0.001
			programmer_Animation.y = programmer_Animation.y + programmer_Animation.ySpeed * deltaTime * 0.001
			programmer_Animation.xCurrentSpeed = programmer_Animation.xSpeed
			programmer_Animation.yCurrentSpeed = programmer_Animation.ySpeed
		end
		if programmer_Animation.xDirection == 0 and programmer_Animation.yDirection == 0 then
			programmer_Animation.xDirection = 1
			programmer_Animation.yDirection = 0
		end
		if programmer_Animation.rotationUpdated == true then
			programmer_Animation.xDirection = math.cos(programmer_Animation.rotation * math.pi / 180)
			programmer_Animation.yDirection = math.sin(programmer_Animation.rotation * math.pi / 180)
			programmer_Animation.rotationUpdated = false
		end
		if programmer_Animation.directionUpdated == true then
			programmer_Animation.rotation = ((math.atan2(programmer_Animation.yDirection, programmer_Animation.xDirection) * 180 / math.pi) + 720) % 360
			programmer_Animation.directionUpdated = false
		end
		local tempXDir = programmer_Animation.xDirection / math.sqrt((math.pow(programmer_Animation.xDirection, 2) + math.pow(programmer_Animation.yDirection, 2)))
		local tempYDir = programmer_Animation.yDirection / math.sqrt((math.pow(programmer_Animation.xDirection, 2) + math.pow(programmer_Animation.yDirection, 2)))
		programmer_Animation.xDirection = tempXDir
		programmer_Animation.yDirection = tempYDir
	end
	if alert_Animation ~= nil then
		if alert_Animation.hasBody == true then
			local vx, vy = alert_Animation:getLinearVelocity()
			alert_Animation.xCurrentSpeed = vx
			alert_Animation.yCurrentSpeed = vy
			if alert_Animation.xSpeedUpdated == true then
				alert_Animation:setLinearVelocity(alert_Animation.xSpeed, vy)
				alert_Animation.xSpeedUpdated = false
			end
			if alert_Animation.ySpeedUpdated == true then
				local vx2, vy2 = alert_Animation:getLinearVelocity()
				alert_Animation:setLinearVelocity(vx2, alert_Animation.ySpeed)
				alert_Animation.ySpeedUpdated = false
			end
			local vx3, vy3 = alert_Animation:getLinearVelocity()
			alert_Animation.xSpeed = vx3
			alert_Animation.ySpeed = vy3
		elseif alert_Animation.hasBody == false then
			alert_Animation.x = alert_Animation.x + alert_Animation.xSpeed * deltaTime * 0.001
			alert_Animation.y = alert_Animation.y + alert_Animation.ySpeed * deltaTime * 0.001
			alert_Animation.xCurrentSpeed = alert_Animation.xSpeed
			alert_Animation.yCurrentSpeed = alert_Animation.ySpeed
		end
		if alert_Animation.xDirection == 0 and alert_Animation.yDirection == 0 then
			alert_Animation.xDirection = 1
			alert_Animation.yDirection = 0
		end
		if alert_Animation.rotationUpdated == true then
			alert_Animation.xDirection = math.cos(alert_Animation.rotation * math.pi / 180)
			alert_Animation.yDirection = math.sin(alert_Animation.rotation * math.pi / 180)
			alert_Animation.rotationUpdated = false
		end
		if alert_Animation.directionUpdated == true then
			alert_Animation.rotation = ((math.atan2(alert_Animation.yDirection, alert_Animation.xDirection) * 180 / math.pi) + 720) % 360
			alert_Animation.directionUpdated = false
		end
		local tempXDir = alert_Animation.xDirection / math.sqrt((math.pow(alert_Animation.xDirection, 2) + math.pow(alert_Animation.yDirection, 2)))
		local tempYDir = alert_Animation.yDirection / math.sqrt((math.pow(alert_Animation.xDirection, 2) + math.pow(alert_Animation.yDirection, 2)))
		alert_Animation.xDirection = tempXDir
		alert_Animation.yDirection = tempYDir
	end
	if wall3_Sprite ~= nil then
		if wall3_Sprite.hasBody == true then
			local vx, vy = wall3_Sprite:getLinearVelocity()
			wall3_Sprite.xCurrentSpeed = vx
			wall3_Sprite.yCurrentSpeed = vy
			if wall3_Sprite.xSpeedUpdated == true then
				wall3_Sprite:setLinearVelocity(wall3_Sprite.xSpeed, vy)
				wall3_Sprite.xSpeedUpdated = false
			end
			if wall3_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = wall3_Sprite:getLinearVelocity()
				wall3_Sprite:setLinearVelocity(vx2, wall3_Sprite.ySpeed)
				wall3_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = wall3_Sprite:getLinearVelocity()
			wall3_Sprite.xSpeed = vx3
			wall3_Sprite.ySpeed = vy3
		elseif wall3_Sprite.hasBody == false then
			wall3_Sprite.x = wall3_Sprite.x + wall3_Sprite.xSpeed * deltaTime * 0.001
			wall3_Sprite.y = wall3_Sprite.y + wall3_Sprite.ySpeed * deltaTime * 0.001
			wall3_Sprite.xCurrentSpeed = wall3_Sprite.xSpeed
			wall3_Sprite.yCurrentSpeed = wall3_Sprite.ySpeed
		end
		if wall3_Sprite.xDirection == 0 and wall3_Sprite.yDirection == 0 then
			wall3_Sprite.xDirection = 1
			wall3_Sprite.yDirection = 0
		end
		if wall3_Sprite.rotationUpdated == true then
			wall3_Sprite.xDirection = math.cos(wall3_Sprite.rotation * math.pi / 180)
			wall3_Sprite.yDirection = math.sin(wall3_Sprite.rotation * math.pi / 180)
			wall3_Sprite.rotationUpdated = false
		end
		if wall3_Sprite.directionUpdated == true then
			wall3_Sprite.rotation = ((math.atan2(wall3_Sprite.yDirection, wall3_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			wall3_Sprite.directionUpdated = false
		end
		local tempXDir = wall3_Sprite.xDirection / math.sqrt((math.pow(wall3_Sprite.xDirection, 2) + math.pow(wall3_Sprite.yDirection, 2)))
		local tempYDir = wall3_Sprite.yDirection / math.sqrt((math.pow(wall3_Sprite.xDirection, 2) + math.pow(wall3_Sprite.yDirection, 2)))
		wall3_Sprite.xDirection = tempXDir
		wall3_Sprite.yDirection = tempYDir
	end
	if youWon_Sprite ~= nil then
		if youWon_Sprite.hasBody == true then
			local vx, vy = youWon_Sprite:getLinearVelocity()
			youWon_Sprite.xCurrentSpeed = vx
			youWon_Sprite.yCurrentSpeed = vy
			if youWon_Sprite.xSpeedUpdated == true then
				youWon_Sprite:setLinearVelocity(youWon_Sprite.xSpeed, vy)
				youWon_Sprite.xSpeedUpdated = false
			end
			if youWon_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = youWon_Sprite:getLinearVelocity()
				youWon_Sprite:setLinearVelocity(vx2, youWon_Sprite.ySpeed)
				youWon_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = youWon_Sprite:getLinearVelocity()
			youWon_Sprite.xSpeed = vx3
			youWon_Sprite.ySpeed = vy3
		elseif youWon_Sprite.hasBody == false then
			youWon_Sprite.x = youWon_Sprite.x + youWon_Sprite.xSpeed * deltaTime * 0.001
			youWon_Sprite.y = youWon_Sprite.y + youWon_Sprite.ySpeed * deltaTime * 0.001
			youWon_Sprite.xCurrentSpeed = youWon_Sprite.xSpeed
			youWon_Sprite.yCurrentSpeed = youWon_Sprite.ySpeed
		end
		if youWon_Sprite.xDirection == 0 and youWon_Sprite.yDirection == 0 then
			youWon_Sprite.xDirection = 1
			youWon_Sprite.yDirection = 0
		end
		if youWon_Sprite.rotationUpdated == true then
			youWon_Sprite.xDirection = math.cos(youWon_Sprite.rotation * math.pi / 180)
			youWon_Sprite.yDirection = math.sin(youWon_Sprite.rotation * math.pi / 180)
			youWon_Sprite.rotationUpdated = false
		end
		if youWon_Sprite.directionUpdated == true then
			youWon_Sprite.rotation = ((math.atan2(youWon_Sprite.yDirection, youWon_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			youWon_Sprite.directionUpdated = false
		end
		local tempXDir = youWon_Sprite.xDirection / math.sqrt((math.pow(youWon_Sprite.xDirection, 2) + math.pow(youWon_Sprite.yDirection, 2)))
		local tempYDir = youWon_Sprite.yDirection / math.sqrt((math.pow(youWon_Sprite.xDirection, 2) + math.pow(youWon_Sprite.yDirection, 2)))
		youWon_Sprite.xDirection = tempXDir
		youWon_Sprite.yDirection = tempYDir
	end
	if speedUpText_Sprite ~= nil then
		if speedUpText_Sprite.hasBody == true then
			local vx, vy = speedUpText_Sprite:getLinearVelocity()
			speedUpText_Sprite.xCurrentSpeed = vx
			speedUpText_Sprite.yCurrentSpeed = vy
			if speedUpText_Sprite.xSpeedUpdated == true then
				speedUpText_Sprite:setLinearVelocity(speedUpText_Sprite.xSpeed, vy)
				speedUpText_Sprite.xSpeedUpdated = false
			end
			if speedUpText_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = speedUpText_Sprite:getLinearVelocity()
				speedUpText_Sprite:setLinearVelocity(vx2, speedUpText_Sprite.ySpeed)
				speedUpText_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = speedUpText_Sprite:getLinearVelocity()
			speedUpText_Sprite.xSpeed = vx3
			speedUpText_Sprite.ySpeed = vy3
		elseif speedUpText_Sprite.hasBody == false then
			speedUpText_Sprite.x = speedUpText_Sprite.x + speedUpText_Sprite.xSpeed * deltaTime * 0.001
			speedUpText_Sprite.y = speedUpText_Sprite.y + speedUpText_Sprite.ySpeed * deltaTime * 0.001
			speedUpText_Sprite.xCurrentSpeed = speedUpText_Sprite.xSpeed
			speedUpText_Sprite.yCurrentSpeed = speedUpText_Sprite.ySpeed
		end
		if speedUpText_Sprite.xDirection == 0 and speedUpText_Sprite.yDirection == 0 then
			speedUpText_Sprite.xDirection = 1
			speedUpText_Sprite.yDirection = 0
		end
		if speedUpText_Sprite.rotationUpdated == true then
			speedUpText_Sprite.xDirection = math.cos(speedUpText_Sprite.rotation * math.pi / 180)
			speedUpText_Sprite.yDirection = math.sin(speedUpText_Sprite.rotation * math.pi / 180)
			speedUpText_Sprite.rotationUpdated = false
		end
		if speedUpText_Sprite.directionUpdated == true then
			speedUpText_Sprite.rotation = ((math.atan2(speedUpText_Sprite.yDirection, speedUpText_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			speedUpText_Sprite.directionUpdated = false
		end
		local tempXDir = speedUpText_Sprite.xDirection / math.sqrt((math.pow(speedUpText_Sprite.xDirection, 2) + math.pow(speedUpText_Sprite.yDirection, 2)))
		local tempYDir = speedUpText_Sprite.yDirection / math.sqrt((math.pow(speedUpText_Sprite.xDirection, 2) + math.pow(speedUpText_Sprite.yDirection, 2)))
		speedUpText_Sprite.xDirection = tempXDir
		speedUpText_Sprite.yDirection = tempYDir
	end
	for i=#spawnList_speedUp_Animation, 1, -1 do
		if spawnList_speedUp_Animation[i] ~= nil then
			if spawnList_speedUp_Animation[i].hasBody == true then
				local vx, vy = spawnList_speedUp_Animation[i]:getLinearVelocity()
				spawnList_speedUp_Animation[i].xCurrentSpeed = vx
				spawnList_speedUp_Animation[i].yCurrentSpeed = vy
				if spawnList_speedUp_Animation[i].xSpeedUpdated == true then
					spawnList_speedUp_Animation[i]:setLinearVelocity(spawnList_speedUp_Animation[i].xSpeed, vy)
					spawnList_speedUp_Animation[i].xSpeedUpdated = false
				end
				if spawnList_speedUp_Animation[i].ySpeedUpdated == true then
					local vx2, vy2 = spawnList_speedUp_Animation[i]:getLinearVelocity()
					spawnList_speedUp_Animation[i]:setLinearVelocity(vx2, spawnList_speedUp_Animation[i].ySpeed)
					spawnList_speedUp_Animation[i].ySpeedUpdated = false
				end
				local vx3, vy3 = spawnList_speedUp_Animation[i]:getLinearVelocity()
				spawnList_speedUp_Animation[i].xSpeed = vx3
				spawnList_speedUp_Animation[i].ySpeed = vy3
			elseif spawnList_speedUp_Animation[i].hasBody == false then
				spawnList_speedUp_Animation[i].x = spawnList_speedUp_Animation[i].x + spawnList_speedUp_Animation[i].xSpeed * deltaTime * 0.001
				spawnList_speedUp_Animation[i].y = spawnList_speedUp_Animation[i].y + spawnList_speedUp_Animation[i].ySpeed * deltaTime * 0.001
				spawnList_speedUp_Animation[i].xCurrentSpeed = spawnList_speedUp_Animation[i].xSpeed
				spawnList_speedUp_Animation[i].yCurrentSpeed = spawnList_speedUp_Animation[i].ySpeed
			end
			if spawnList_speedUp_Animation[i].xDirection == 0 and spawnList_speedUp_Animation[i].yDirection == 0 then
				spawnList_speedUp_Animation[i].xDirection = 1
				spawnList_speedUp_Animation[i].yDirection = 0
			end
			if spawnList_speedUp_Animation[i].rotationUpdated == true then
				spawnList_speedUp_Animation[i].xDirection = math.cos(spawnList_speedUp_Animation[i].rotation * math.pi / 180)
				spawnList_speedUp_Animation[i].Direction = math.sin(spawnList_speedUp_Animation[i].rotation * math.pi / 180)
				spawnList_speedUp_Animation[i].rotationUpdated = false
			end
			if spawnList_speedUp_Animation[i].directionUpdated == true then
				spawnList_speedUp_Animation[i].rotation = ((math.atan2(spawnList_speedUp_Animation[i].yDirection, spawnList_speedUp_Animation[i].xDirection) * 180 / math.pi) + 720) % 360
				spawnList_speedUp_Animation[i].directionUpdated = false
			end
			local tempXDir = spawnList_speedUp_Animation[i].xDirection / math.sqrt((math.pow(spawnList_speedUp_Animation[i].xDirection, 2) + math.pow(spawnList_speedUp_Animation[i].yDirection, 2)))
			local tempYDir = spawnList_speedUp_Animation[i].yDirection / math.sqrt((math.pow(spawnList_speedUp_Animation[i].xDirection, 2) + math.pow(spawnList_speedUp_Animation[i].yDirection, 2)))
			spawnList_speedUp_Animation[i].xDirection = tempXDir
			spawnList_speedUp_Animation[i].yDirection = tempYDir
		end
	end
end

menuInCompleted = function (obj)
	Screen1.addButtonEventListeners()
	Runtime:addEventListener("enterFrame", onEnterFrame)
	Runtime:addEventListener("touch", onScreenTouch)
	Runtime:addEventListener("collision", onCollision)

	var_table1Exploded = false
	var_table2Exploded = false
	var_table3Exploded = false
	var_mainTableExploded = false
	var_table1Completed = false
	var_table2Completed = false
	var_table3Completed = false
	var_mainTableCompleted = false
	var_isTrolling = false
	var_isTrollingTable1 = false
	var_isTrollingTable2 = false
	var_isTrollingTable3 = false
	var_table1HealSpeed = 0.0005
	var_table2HealSpeed = 0.0005
	var_table3HealSpeed = 0.0005
	var_isGameOver = false
	var_isGameWin = false
	soundList["keyboardTyping"].play(-1)
	soundList["music"].play(-1)

	mTimerList[timerCount+1] = timer.performWithDelay(5000, function ()
		spawn_speedUp_Animation()
		end, 1)
	timerCount = timerCount + 1

end

function Screen1.menuIn ()

	loadScreen()

	transition.to(screenHolder, {time = 10, onComplete = menuInCompleted})

	camera.boundedObject = pig_Animation
	mTimerList = {}
	timerCount = 0
end

function Screen1.removeButtonEventListeners ()
end

menuOutCompleted = function ( nextScreenId, isNextScreenPopUp )
	if isNextScreenPopUp == true then
	else
		display.remove(screenHolder)
		screenHolder = nil

	end
	NextScreenId = nextScreenId
	PreviousScreenId = Screen1MenuID
	changeMenu(NextScreenId, PreviousScreenId, false, isNextScreenPopUp)
end

menuOut = function ( nextScreenId, isNextScreenPopUp )
	soundList["keyboardTyping"].stop()
	soundList["drum"].stop()
	soundList["electric1"].stop()
	soundList["electric2"].stop()
	soundList["electric3"].stop()
	soundList["music"].stop()

	Runtime:removeEventListener("enterFrame", onEnterFrame)
	Runtime:removeEventListener("touch", onScreenTouch)
	Runtime:removeEventListener("collision", onCollision)

	for i=1, timerCount, 1 do
		if mTimerList[i] ~= nil then
			timer.cancel(mTimerList[i])
		end
	end
	mTimerList = {}
	timerCount = 0

	for i=#spawnList_speedUp_Animation, 1, -1 do 
		display.remove(spawnList_speedUp_Animation[i])
		table.remove(spawnList_speedUp_Animation, i)
	end
	spawnList_speedUp_Animation = {}

	Screen1.removeButtonEventListeners()
	if isNextScreenPopUp == true then
		transition.to(screenHolder, {time = 10, onComplete = function () menuOutCompleted(nextScreenId, isNextScreenPopUp) end})
	else
		transition.to(screenHolder, {time = 10, onComplete = function () menuOutCompleted(nextScreenId, isNextScreenPopUp) end})
	end
end

return Screen1
