soundList = {}

local electric3 = {}
electric3.sound = audio.loadSound("electric3.mp3")
electric3.channel = 1
electric3.play = function(loopCount)
	if currentlyPlayingMusic ~= "electric3" then
		audio.stop( electric3.channel )
		audio.rewind( electric3.sound )
		audio.play( electric3.sound, { channel = electric3.channel, loops = loopCount } )
		currentlyPlayingMusic = "electric3"
	end
end
electric3.stop = function()
	audio.stop( electric3.channel )
	currentlyPlayingMusic = ""
end
electric3.pause = function()
	audio.pause ( electric3.channel )
end
electric3.resume = function()
	audio.resume ( electric3.channel )
end
soundList["electric3"] = electric3

local tableExplosion = {}
tableExplosion.sound = audio.loadSound("tableExplosion.mp3")
tableExplosion.channel = 2
tableExplosion.play = function(loopCount)
	if currentlyPlayingMusic ~= "tableExplosion" then
		audio.stop( tableExplosion.channel )
		audio.rewind( tableExplosion.sound )
		audio.play( tableExplosion.sound, { channel = tableExplosion.channel, loops = loopCount } )
		currentlyPlayingMusic = "tableExplosion"
	end
end
tableExplosion.stop = function()
	audio.stop( tableExplosion.channel )
	currentlyPlayingMusic = ""
end
tableExplosion.pause = function()
	audio.pause ( tableExplosion.channel )
end
tableExplosion.resume = function()
	audio.resume ( tableExplosion.channel )
end
soundList["tableExplosion"] = tableExplosion

local electric1 = {}
electric1.sound = audio.loadSound("electric1.mp3")
electric1.channel = 3
electric1.play = function(loopCount)
	if currentlyPlayingMusic ~= "electric1" then
		audio.stop( electric1.channel )
		audio.rewind( electric1.sound )
		audio.play( electric1.sound, { channel = electric1.channel, loops = loopCount } )
		currentlyPlayingMusic = "electric1"
	end
end
electric1.stop = function()
	audio.stop( electric1.channel )
	currentlyPlayingMusic = ""
end
electric1.pause = function()
	audio.pause ( electric1.channel )
end
electric1.resume = function()
	audio.resume ( electric1.channel )
end
soundList["electric1"] = electric1

local glassBreak = {}
glassBreak.sound = audio.loadSound("glassBreak.mp3")
glassBreak.channel = 4
glassBreak.play = function(loopCount)
	if currentlyPlayingMusic ~= "glassBreak" then
		audio.stop( glassBreak.channel )
		audio.rewind( glassBreak.sound )
		audio.play( glassBreak.sound, { channel = glassBreak.channel, loops = loopCount } )
		currentlyPlayingMusic = "glassBreak"
	end
end
glassBreak.stop = function()
	audio.stop( glassBreak.channel )
	currentlyPlayingMusic = ""
end
glassBreak.pause = function()
	audio.pause ( glassBreak.channel )
end
glassBreak.resume = function()
	audio.resume ( glassBreak.channel )
end
soundList["glassBreak"] = glassBreak

local powerUp = {}
powerUp.sound = audio.loadSound("powerUp.mp3")
powerUp.channel = 5
powerUp.play = function(loopCount)
	if currentlyPlayingMusic ~= "powerUp" then
		audio.stop( powerUp.channel )
		audio.rewind( powerUp.sound )
		audio.play( powerUp.sound, { channel = powerUp.channel, loops = loopCount } )
		currentlyPlayingMusic = "powerUp"
	end
end
powerUp.stop = function()
	audio.stop( powerUp.channel )
	currentlyPlayingMusic = ""
end
powerUp.pause = function()
	audio.pause ( powerUp.channel )
end
powerUp.resume = function()
	audio.resume ( powerUp.channel )
end
soundList["powerUp"] = powerUp

local drum = {}
drum.sound = audio.loadSound("drum.mp3")
drum.channel = 6
drum.play = function(loopCount)
	if currentlyPlayingMusic ~= "drum" then
		audio.stop( drum.channel )
		audio.rewind( drum.sound )
		audio.play( drum.sound, { channel = drum.channel, loops = loopCount } )
		currentlyPlayingMusic = "drum"
	end
end
drum.stop = function()
	audio.stop( drum.channel )
	currentlyPlayingMusic = ""
end
drum.pause = function()
	audio.pause ( drum.channel )
end
drum.resume = function()
	audio.resume ( drum.channel )
end
soundList["drum"] = drum

local electric2 = {}
electric2.sound = audio.loadSound("electric2.mp3")
electric2.channel = 7
electric2.play = function(loopCount)
	if currentlyPlayingMusic ~= "electric2" then
		audio.stop( electric2.channel )
		audio.rewind( electric2.sound )
		audio.play( electric2.sound, { channel = electric2.channel, loops = loopCount } )
		currentlyPlayingMusic = "electric2"
	end
end
electric2.stop = function()
	audio.stop( electric2.channel )
	currentlyPlayingMusic = ""
end
electric2.pause = function()
	audio.pause ( electric2.channel )
end
electric2.resume = function()
	audio.resume ( electric2.channel )
end
soundList["electric2"] = electric2

local keyboardTyping = {}
keyboardTyping.sound = audio.loadSound("keyboardTyping.mp3")
keyboardTyping.channel = 8
keyboardTyping.play = function(loopCount)
	if currentlyPlayingMusic ~= "keyboardTyping" then
		audio.stop( keyboardTyping.channel )
		audio.rewind( keyboardTyping.sound )
		audio.play( keyboardTyping.sound, { channel = keyboardTyping.channel, loops = loopCount } )
		currentlyPlayingMusic = "keyboardTyping"
	end
end
keyboardTyping.stop = function()
	audio.stop( keyboardTyping.channel )
	currentlyPlayingMusic = ""
end
keyboardTyping.pause = function()
	audio.pause ( keyboardTyping.channel )
end
keyboardTyping.resume = function()
	audio.resume ( keyboardTyping.channel )
end
soundList["keyboardTyping"] = keyboardTyping

local music = {}
music.sound = audio.loadSound("music.mp3")
music.channel = 9
music.play = function(loopCount)
	if currentlyPlayingMusic ~= "music" then
		audio.stop( music.channel )
		audio.rewind( music.sound )
		audio.play( music.sound, { channel = music.channel, loops = loopCount } )
		currentlyPlayingMusic = "music"
	end
end
music.stop = function()
	audio.stop( music.channel )
	currentlyPlayingMusic = ""
end
music.pause = function()
	audio.pause ( music.channel )
end
music.resume = function()
	audio.resume ( music.channel )
end
soundList["music"] = music

local musicSoft = {}
musicSoft.sound = audio.loadSound("musicSoft.mp3")
musicSoft.channel = 10
musicSoft.play = function(loopCount)
	if currentlyPlayingMusic ~= "musicSoft" then
		audio.stop( musicSoft.channel )
		audio.rewind( musicSoft.sound )
		audio.play( musicSoft.sound, { channel = musicSoft.channel, loops = loopCount } )
		currentlyPlayingMusic = "musicSoft"
	end
end
musicSoft.stop = function()
	audio.stop( musicSoft.channel )
	currentlyPlayingMusic = ""
end
musicSoft.pause = function()
	audio.pause ( musicSoft.channel )
end
musicSoft.resume = function()
	audio.resume ( musicSoft.channel )
end
soundList["musicSoft"] = musicSoft

