local Ads = {}

local GameLooperLogoHD_Sprite
local ads3_Text
local ads2_Text
local ads1_Text
local ads4_Text
local screenHolder
local buttonPressEnabled
local menuInCompleted
local menuOut
local menuOutCompleted
local addButtonEventListeners
local removeButtonEventListeners

local mTimerList
local timerCount


local destroy_GameLooperLogoHD_Sprite
local destroy_ads3_Text
local destroy_ads2_Text
local destroy_ads1_Text
local destroy_ads4_Text

local camera = {}
camera.boundedObject = nil
camera.leftBound = display.contentWidth * 0
camera.rightBound = display.contentWidth * 1
camera.topBound = display.contentHeight * 0
camera.bottomBound = display.contentHeight * 1
camera.initialHolderLeft = 0
camera.initialHolderRight = 0
camera.initialHolderTop = 0
camera.initialHolderBottom = 0
camera.initialHolderWidth = 0
camera.initialHolderHeight = 0

local leftBoundValue = 0
local rightBoundValue = 0
local topBoundValue = 0
local bottomBoundValue = 0

destroy_GameLooperLogoHD_Sprite = function ()
	display.remove(GameLooperLogoHD_Sprite)
	GameLooperLogoHD_Sprite = nil
end

destroy_ads3_Text = function ()
	display.remove(ads3_Text)
	ads3_Text = nil
end

destroy_ads2_Text = function ()
	display.remove(ads2_Text)
	ads2_Text = nil
end

destroy_ads1_Text = function ()
	display.remove(ads1_Text)
	ads1_Text = nil
end

destroy_ads4_Text = function ()
	display.remove(ads4_Text)
	ads4_Text = nil
end

local startingXPos = 0
local startingYPos = 0
local function onScreenTouch(event)
	if event.phase == "began" then
		system.openURL( "http://bit.ly/1zi9knr" )
		startingXPos = event.x
		startingYPos = event.y
	elseif event.phase == "moved" then
	elseif event.phase == "ended" or event.phase == "cancelled" then

		if event.x - startingXPos < -20 and math.abs(event.y - startingYPos) < math.abs(event.x - startingXPos) then
		end

		if event.x - startingXPos > 20 and math.abs(event.y - startingYPos) < math.abs(event.x - startingXPos) then
		end

		if event.y - startingYPos < -20 and math.abs(event.x - startingXPos) < math.abs(event.y - startingYPos) then
		end

		if event.y - startingYPos > 20 and math.abs(event.x - startingXPos) < math.abs(event.y - startingYPos) then
		end
	end
end

local function onAccelerometer(event)
end

local function onCollision( event )
	if ( event.phase == "began" ) then
	elseif ( event.phase == "ended" ) then
	end
end

local function loadScreen ()
	screenHolder = display.newGroup()
	screenHolder.x = 0
	screenHolder.y = 0
	local screenHolderRect = display.newRect(screenHolder, 0, 0, display.contentWidth, display.contentHeight)
	screenHolderRect.alpha = 0

	cameraHolder = display.newGroup()
	cameraHolder.x = 0
	cameraHolder.y = 0

	buttonPressEnabled = true

	display.remove(GameLooperLogoHD_Sprite)
	GameLooperLogoHD_Sprite = nil
	GameLooperLogoHD_Sprite = display.newImageRect("GameLooperLogoHD.png", 2010, 1610)
	GameLooperLogoHD_Sprite.anchorX = 0.5
	GameLooperLogoHD_Sprite.anchorY = 0.5
	GameLooperLogoHD_Sprite.hasBody = false
	GameLooperLogoHD_Sprite.x = 1024 + 0 + 0
	GameLooperLogoHD_Sprite.y = 400 + 0 + 0
	GameLooperLogoHD_Sprite.xScale = 0.3
	GameLooperLogoHD_Sprite.yScale = 0.3
	GameLooperLogoHD_Sprite.alpha = 1
	GameLooperLogoHD_Sprite.rotation = 0
	GameLooperLogoHD_Sprite.xDirection = 1
	GameLooperLogoHD_Sprite.yDirection = 0
	GameLooperLogoHD_Sprite.xSpeed = 0
	GameLooperLogoHD_Sprite.ySpeed = 0
	GameLooperLogoHD_Sprite.xCurrentSpeed = 0
	GameLooperLogoHD_Sprite.yCurrentSpeed = 0
	GameLooperLogoHD_Sprite.xSpeedUpdated = false
	GameLooperLogoHD_Sprite.ySpeedUpdated = false
	GameLooperLogoHD_Sprite.rotationUpdated = false
	GameLooperLogoHD_Sprite.directionUpdated = false
	GameLooperLogoHD_Sprite.spawnIndex = 1

	display.remove(ads3_Text)
	ads3_Text = nil
	ads3_Text = display.newText("Tap to visit www.gamelooper.com", 1024, 1200, getFontName(""), 80)
	ads3_Text.anchorX = 0.5
	ads3_Text.anchorY = 0.5
	ads3_Text.hasBody = false
	ads3_Text:setTextColor( 1.0039215087890625, 1.00390625, 1 )
	ads3_Text.x = 1024 + 0 + 0
	ads3_Text.y = 1200 + 0 + 0
	ads3_Text.xScale = 1
	ads3_Text.yScale = 1
	ads3_Text.alpha = 1
	ads3_Text.rotation = 0
	ads3_Text.xDirection = 1
	ads3_Text.yDirection = 0
	ads3_Text.xSpeed = 0
	ads3_Text.ySpeed = 0
	ads3_Text.xCurrentSpeed = 0
	ads3_Text.yCurrentSpeed = 0
	ads3_Text.xSpeedUpdated = false
	ads3_Text.ySpeedUpdated = false
	ads3_Text.rotationUpdated = false
	ads3_Text.directionUpdated = false
	ads3_Text.spawnIndex = 1

	display.remove(ads2_Text)
	ads2_Text = nil
	ads2_Text = display.newText("at Global Game Jam Atom 2015", 1024, 1000, getFontName(""), 80)
	ads2_Text.anchorX = 0.5
	ads2_Text.anchorY = 0.5
	ads2_Text.hasBody = false
	ads2_Text:setTextColor( 1.0039215087890625, 1.00390625, 1 )
	ads2_Text.x = 1024 + 0 + 0
	ads2_Text.y = 1000 + 0 + 0
	ads2_Text.xScale = 1
	ads2_Text.yScale = 1
	ads2_Text.alpha = 1
	ads2_Text.rotation = 0
	ads2_Text.xDirection = 1
	ads2_Text.yDirection = 0
	ads2_Text.xSpeed = 0
	ads2_Text.ySpeed = 0
	ads2_Text.xCurrentSpeed = 0
	ads2_Text.yCurrentSpeed = 0
	ads2_Text.xSpeedUpdated = false
	ads2_Text.ySpeedUpdated = false
	ads2_Text.rotationUpdated = false
	ads2_Text.directionUpdated = false
	ads2_Text.spawnIndex = 1

	display.remove(ads1_Text)
	ads1_Text = nil
	ads1_Text = display.newText("This game is created with GameLooper", 1024, 800, getFontName(""), 80)
	ads1_Text.anchorX = 0.5
	ads1_Text.anchorY = 0.5
	ads1_Text.hasBody = false
	ads1_Text:setTextColor( 1.0039215087890625, 1.00390625, 1 )
	ads1_Text.x = 1024 + 0 + 0
	ads1_Text.y = 800 + 0 + 0
	ads1_Text.xScale = 1
	ads1_Text.yScale = 1
	ads1_Text.alpha = 1
	ads1_Text.rotation = 0
	ads1_Text.xDirection = 1
	ads1_Text.yDirection = 0
	ads1_Text.xSpeed = 0
	ads1_Text.ySpeed = 0
	ads1_Text.xCurrentSpeed = 0
	ads1_Text.yCurrentSpeed = 0
	ads1_Text.xSpeedUpdated = false
	ads1_Text.ySpeedUpdated = false
	ads1_Text.rotationUpdated = false
	ads1_Text.directionUpdated = false
	ads1_Text.spawnIndex = 1

	display.remove(ads4_Text)
	ads4_Text = nil
	ads4_Text = display.newText("to subscribe for GameLooper BETA", 1024, 1400, getFontName(""), 80)
	ads4_Text.anchorX = 0.5
	ads4_Text.anchorY = 0.5
	ads4_Text.hasBody = false
	ads4_Text:setTextColor( 1.0039215087890625, 1.00390625, 1 )
	ads4_Text.x = 1024 + 0 + 0
	ads4_Text.y = 1400 + 0 + 0
	ads4_Text.xScale = 1
	ads4_Text.yScale = 1
	ads4_Text.alpha = 1
	ads4_Text.rotation = 0
	ads4_Text.xDirection = 1
	ads4_Text.yDirection = 0
	ads4_Text.xSpeed = 0
	ads4_Text.ySpeed = 0
	ads4_Text.xCurrentSpeed = 0
	ads4_Text.yCurrentSpeed = 0
	ads4_Text.xSpeedUpdated = false
	ads4_Text.ySpeedUpdated = false
	ads4_Text.rotationUpdated = false
	ads4_Text.directionUpdated = false
	ads4_Text.spawnIndex = 1

	cameraHolder:insert(GameLooperLogoHD_Sprite)
	cameraHolder:insert(ads1_Text)
	cameraHolder:insert(ads2_Text)
	cameraHolder:insert(ads3_Text)
	cameraHolder:insert(ads4_Text)

	screenHolder:insert( cameraHolder )
	screenHolder.anchorX = 0
	screenHolder.anchorY = 0

	leftBoundObject = ads1_Text
	leftBoundValue = 390.5
	rightBoundObject = ads1_Text
	rightBoundValue = 1657.5
	topBoundObject = GameLooperLogoHD_Sprite
	topBoundValue = 158.5
	bottomBoundObject = ads4_Text
	bottomBoundValue = 1442

	camera.initialHolderLeft = leftBoundValue
	camera.initialHolderRight = camera.initialHolderLeft + cameraHolder.width
	camera.initialHolderTop = topBoundValue
	camera.initialHolderBottom = camera.initialHolderTop + cameraHolder.height
	camera.initialHolderWidth = cameraHolder.width
	camera.initialHolderHeight = cameraHolder.height
end

function Ads.addButtonEventListeners ()
end

local function onEnterFrame(event)
	deltaTime = system.getTimer() - currentTime
	if deltaTime > 1000 then
		deltaTime = 1000/60
	elseif deltaTime < 0 then
		deltaTime = 1000/60
	end
	currentTime = system.getTimer()


	if camera.boundedObject ~= nil then
		if (cameraHolder.x + camera.boundedObject.x >= camera.rightBound) then
			if cameraHolder.x + camera.initialHolderWidth + camera.initialHolderLeft > display.contentWidth then
				cameraHolder.x = camera.rightBound - camera.boundedObject.x
			end
		elseif (cameraHolder.x + camera.boundedObject.x <= camera.leftBound) then
			if cameraHolder.x + camera.initialHolderLeft < 0 then
				cameraHolder.x = camera.leftBound - camera.boundedObject.x
			end
		end

		if (cameraHolder.y + camera.boundedObject.y >= camera.bottomBound) then
			if cameraHolder.y + camera.initialHolderHeight + camera.initialHolderTop > display.contentHeight then
				cameraHolder.y = camera.bottomBound - camera.boundedObject.y
			end
		elseif (cameraHolder.y + camera.boundedObject.y <= camera.topBound) then
			if cameraHolder.y + camera.initialHolderTop < 0 then
				cameraHolder.y = camera.topBound - camera.boundedObject.y
			end
		end
	end


	if GameLooperLogoHD_Sprite ~= nil then
		if GameLooperLogoHD_Sprite.hasBody == true then
			local vx, vy = GameLooperLogoHD_Sprite:getLinearVelocity()
			GameLooperLogoHD_Sprite.xCurrentSpeed = vx
			GameLooperLogoHD_Sprite.yCurrentSpeed = vy
			if GameLooperLogoHD_Sprite.xSpeedUpdated == true then
				GameLooperLogoHD_Sprite:setLinearVelocity(GameLooperLogoHD_Sprite.xSpeed, vy)
				GameLooperLogoHD_Sprite.xSpeedUpdated = false
			end
			if GameLooperLogoHD_Sprite.ySpeedUpdated == true then
				local vx2, vy2 = GameLooperLogoHD_Sprite:getLinearVelocity()
				GameLooperLogoHD_Sprite:setLinearVelocity(vx2, GameLooperLogoHD_Sprite.ySpeed)
				GameLooperLogoHD_Sprite.ySpeedUpdated = false
			end
			local vx3, vy3 = GameLooperLogoHD_Sprite:getLinearVelocity()
			GameLooperLogoHD_Sprite.xSpeed = vx3
			GameLooperLogoHD_Sprite.ySpeed = vy3
		elseif GameLooperLogoHD_Sprite.hasBody == false then
			GameLooperLogoHD_Sprite.x = GameLooperLogoHD_Sprite.x + GameLooperLogoHD_Sprite.xSpeed * deltaTime * 0.001
			GameLooperLogoHD_Sprite.y = GameLooperLogoHD_Sprite.y + GameLooperLogoHD_Sprite.ySpeed * deltaTime * 0.001
			GameLooperLogoHD_Sprite.xCurrentSpeed = GameLooperLogoHD_Sprite.xSpeed
			GameLooperLogoHD_Sprite.yCurrentSpeed = GameLooperLogoHD_Sprite.ySpeed
		end
		if GameLooperLogoHD_Sprite.xDirection == 0 and GameLooperLogoHD_Sprite.yDirection == 0 then
			GameLooperLogoHD_Sprite.xDirection = 1
			GameLooperLogoHD_Sprite.yDirection = 0
		end
		if GameLooperLogoHD_Sprite.rotationUpdated == true then
			GameLooperLogoHD_Sprite.xDirection = math.cos(GameLooperLogoHD_Sprite.rotation * math.pi / 180)
			GameLooperLogoHD_Sprite.yDirection = math.sin(GameLooperLogoHD_Sprite.rotation * math.pi / 180)
			GameLooperLogoHD_Sprite.rotationUpdated = false
		end
		if GameLooperLogoHD_Sprite.directionUpdated == true then
			GameLooperLogoHD_Sprite.rotation = ((math.atan2(GameLooperLogoHD_Sprite.yDirection, GameLooperLogoHD_Sprite.xDirection) * 180 / math.pi) + 720) % 360
			GameLooperLogoHD_Sprite.directionUpdated = false
		end
		local tempXDir = GameLooperLogoHD_Sprite.xDirection / math.sqrt((math.pow(GameLooperLogoHD_Sprite.xDirection, 2) + math.pow(GameLooperLogoHD_Sprite.yDirection, 2)))
		local tempYDir = GameLooperLogoHD_Sprite.yDirection / math.sqrt((math.pow(GameLooperLogoHD_Sprite.xDirection, 2) + math.pow(GameLooperLogoHD_Sprite.yDirection, 2)))
		GameLooperLogoHD_Sprite.xDirection = tempXDir
		GameLooperLogoHD_Sprite.yDirection = tempYDir
	end
	if ads3_Text ~= nil then
		if ads3_Text.hasBody == true then
			local vx, vy = ads3_Text:getLinearVelocity()
			ads3_Text.xCurrentSpeed = vx
			ads3_Text.yCurrentSpeed = vy
			if ads3_Text.xSpeedUpdated == true then
				ads3_Text:setLinearVelocity(ads3_Text.xSpeed, vy)
				ads3_Text.xSpeedUpdated = false
			end
			if ads3_Text.ySpeedUpdated == true then
				local vx2, vy2 = ads3_Text:getLinearVelocity()
				ads3_Text:setLinearVelocity(vx2, ads3_Text.ySpeed)
				ads3_Text.ySpeedUpdated = false
			end
			local vx3, vy3 = ads3_Text:getLinearVelocity()
			ads3_Text.xSpeed = vx3
			ads3_Text.ySpeed = vy3
		elseif ads3_Text.hasBody == false then
			ads3_Text.x = ads3_Text.x + ads3_Text.xSpeed * deltaTime * 0.001
			ads3_Text.y = ads3_Text.y + ads3_Text.ySpeed * deltaTime * 0.001
			ads3_Text.xCurrentSpeed = ads3_Text.xSpeed
			ads3_Text.yCurrentSpeed = ads3_Text.ySpeed
		end
		if ads3_Text.xDirection == 0 and ads3_Text.yDirection == 0 then
			ads3_Text.xDirection = 1
			ads3_Text.yDirection = 0
		end
		if ads3_Text.rotationUpdated == true then
			ads3_Text.xDirection = math.cos(ads3_Text.rotation * math.pi / 180)
			ads3_Text.yDirection = math.sin(ads3_Text.rotation * math.pi / 180)
			ads3_Text.rotationUpdated = false
		end
		if ads3_Text.directionUpdated == true then
			ads3_Text.rotation = ((math.atan2(ads3_Text.yDirection, ads3_Text.xDirection) * 180 / math.pi) + 720) % 360
			ads3_Text.directionUpdated = false
		end
		local tempXDir = ads3_Text.xDirection / math.sqrt((math.pow(ads3_Text.xDirection, 2) + math.pow(ads3_Text.yDirection, 2)))
		local tempYDir = ads3_Text.yDirection / math.sqrt((math.pow(ads3_Text.xDirection, 2) + math.pow(ads3_Text.yDirection, 2)))
		ads3_Text.xDirection = tempXDir
		ads3_Text.yDirection = tempYDir
	end
	if ads2_Text ~= nil then
		if ads2_Text.hasBody == true then
			local vx, vy = ads2_Text:getLinearVelocity()
			ads2_Text.xCurrentSpeed = vx
			ads2_Text.yCurrentSpeed = vy
			if ads2_Text.xSpeedUpdated == true then
				ads2_Text:setLinearVelocity(ads2_Text.xSpeed, vy)
				ads2_Text.xSpeedUpdated = false
			end
			if ads2_Text.ySpeedUpdated == true then
				local vx2, vy2 = ads2_Text:getLinearVelocity()
				ads2_Text:setLinearVelocity(vx2, ads2_Text.ySpeed)
				ads2_Text.ySpeedUpdated = false
			end
			local vx3, vy3 = ads2_Text:getLinearVelocity()
			ads2_Text.xSpeed = vx3
			ads2_Text.ySpeed = vy3
		elseif ads2_Text.hasBody == false then
			ads2_Text.x = ads2_Text.x + ads2_Text.xSpeed * deltaTime * 0.001
			ads2_Text.y = ads2_Text.y + ads2_Text.ySpeed * deltaTime * 0.001
			ads2_Text.xCurrentSpeed = ads2_Text.xSpeed
			ads2_Text.yCurrentSpeed = ads2_Text.ySpeed
		end
		if ads2_Text.xDirection == 0 and ads2_Text.yDirection == 0 then
			ads2_Text.xDirection = 1
			ads2_Text.yDirection = 0
		end
		if ads2_Text.rotationUpdated == true then
			ads2_Text.xDirection = math.cos(ads2_Text.rotation * math.pi / 180)
			ads2_Text.yDirection = math.sin(ads2_Text.rotation * math.pi / 180)
			ads2_Text.rotationUpdated = false
		end
		if ads2_Text.directionUpdated == true then
			ads2_Text.rotation = ((math.atan2(ads2_Text.yDirection, ads2_Text.xDirection) * 180 / math.pi) + 720) % 360
			ads2_Text.directionUpdated = false
		end
		local tempXDir = ads2_Text.xDirection / math.sqrt((math.pow(ads2_Text.xDirection, 2) + math.pow(ads2_Text.yDirection, 2)))
		local tempYDir = ads2_Text.yDirection / math.sqrt((math.pow(ads2_Text.xDirection, 2) + math.pow(ads2_Text.yDirection, 2)))
		ads2_Text.xDirection = tempXDir
		ads2_Text.yDirection = tempYDir
	end
	if ads1_Text ~= nil then
		if ads1_Text.hasBody == true then
			local vx, vy = ads1_Text:getLinearVelocity()
			ads1_Text.xCurrentSpeed = vx
			ads1_Text.yCurrentSpeed = vy
			if ads1_Text.xSpeedUpdated == true then
				ads1_Text:setLinearVelocity(ads1_Text.xSpeed, vy)
				ads1_Text.xSpeedUpdated = false
			end
			if ads1_Text.ySpeedUpdated == true then
				local vx2, vy2 = ads1_Text:getLinearVelocity()
				ads1_Text:setLinearVelocity(vx2, ads1_Text.ySpeed)
				ads1_Text.ySpeedUpdated = false
			end
			local vx3, vy3 = ads1_Text:getLinearVelocity()
			ads1_Text.xSpeed = vx3
			ads1_Text.ySpeed = vy3
		elseif ads1_Text.hasBody == false then
			ads1_Text.x = ads1_Text.x + ads1_Text.xSpeed * deltaTime * 0.001
			ads1_Text.y = ads1_Text.y + ads1_Text.ySpeed * deltaTime * 0.001
			ads1_Text.xCurrentSpeed = ads1_Text.xSpeed
			ads1_Text.yCurrentSpeed = ads1_Text.ySpeed
		end
		if ads1_Text.xDirection == 0 and ads1_Text.yDirection == 0 then
			ads1_Text.xDirection = 1
			ads1_Text.yDirection = 0
		end
		if ads1_Text.rotationUpdated == true then
			ads1_Text.xDirection = math.cos(ads1_Text.rotation * math.pi / 180)
			ads1_Text.yDirection = math.sin(ads1_Text.rotation * math.pi / 180)
			ads1_Text.rotationUpdated = false
		end
		if ads1_Text.directionUpdated == true then
			ads1_Text.rotation = ((math.atan2(ads1_Text.yDirection, ads1_Text.xDirection) * 180 / math.pi) + 720) % 360
			ads1_Text.directionUpdated = false
		end
		local tempXDir = ads1_Text.xDirection / math.sqrt((math.pow(ads1_Text.xDirection, 2) + math.pow(ads1_Text.yDirection, 2)))
		local tempYDir = ads1_Text.yDirection / math.sqrt((math.pow(ads1_Text.xDirection, 2) + math.pow(ads1_Text.yDirection, 2)))
		ads1_Text.xDirection = tempXDir
		ads1_Text.yDirection = tempYDir
	end
	if ads4_Text ~= nil then
		if ads4_Text.hasBody == true then
			local vx, vy = ads4_Text:getLinearVelocity()
			ads4_Text.xCurrentSpeed = vx
			ads4_Text.yCurrentSpeed = vy
			if ads4_Text.xSpeedUpdated == true then
				ads4_Text:setLinearVelocity(ads4_Text.xSpeed, vy)
				ads4_Text.xSpeedUpdated = false
			end
			if ads4_Text.ySpeedUpdated == true then
				local vx2, vy2 = ads4_Text:getLinearVelocity()
				ads4_Text:setLinearVelocity(vx2, ads4_Text.ySpeed)
				ads4_Text.ySpeedUpdated = false
			end
			local vx3, vy3 = ads4_Text:getLinearVelocity()
			ads4_Text.xSpeed = vx3
			ads4_Text.ySpeed = vy3
		elseif ads4_Text.hasBody == false then
			ads4_Text.x = ads4_Text.x + ads4_Text.xSpeed * deltaTime * 0.001
			ads4_Text.y = ads4_Text.y + ads4_Text.ySpeed * deltaTime * 0.001
			ads4_Text.xCurrentSpeed = ads4_Text.xSpeed
			ads4_Text.yCurrentSpeed = ads4_Text.ySpeed
		end
		if ads4_Text.xDirection == 0 and ads4_Text.yDirection == 0 then
			ads4_Text.xDirection = 1
			ads4_Text.yDirection = 0
		end
		if ads4_Text.rotationUpdated == true then
			ads4_Text.xDirection = math.cos(ads4_Text.rotation * math.pi / 180)
			ads4_Text.yDirection = math.sin(ads4_Text.rotation * math.pi / 180)
			ads4_Text.rotationUpdated = false
		end
		if ads4_Text.directionUpdated == true then
			ads4_Text.rotation = ((math.atan2(ads4_Text.yDirection, ads4_Text.xDirection) * 180 / math.pi) + 720) % 360
			ads4_Text.directionUpdated = false
		end
		local tempXDir = ads4_Text.xDirection / math.sqrt((math.pow(ads4_Text.xDirection, 2) + math.pow(ads4_Text.yDirection, 2)))
		local tempYDir = ads4_Text.yDirection / math.sqrt((math.pow(ads4_Text.xDirection, 2) + math.pow(ads4_Text.yDirection, 2)))
		ads4_Text.xDirection = tempXDir
		ads4_Text.yDirection = tempYDir
	end
end

menuInCompleted = function (obj)
	Ads.addButtonEventListeners()
	Runtime:addEventListener("enterFrame", onEnterFrame)
	Runtime:addEventListener("touch", onScreenTouch)
	Runtime:addEventListener("collision", onCollision)

	mTimerList[timerCount+1] = timer.performWithDelay(3000, function ()
		menuOut ( LevelsScreenMenuID )		end, 1)
	timerCount = timerCount + 1

end

function Ads.menuIn ()

	loadScreen()

	transition.to(screenHolder, {time = 10, onComplete = menuInCompleted})

	camera.boundedObject = nil
	mTimerList = {}
	timerCount = 0
end

function Ads.removeButtonEventListeners ()
end

menuOutCompleted = function ( nextScreenId, isNextScreenPopUp )
	if isNextScreenPopUp == true then
	else
		display.remove(screenHolder)
		screenHolder = nil

	end
	NextScreenId = nextScreenId
	PreviousScreenId = AdsMenuID
	changeMenu(NextScreenId, PreviousScreenId, false, isNextScreenPopUp)
end

menuOut = function ( nextScreenId, isNextScreenPopUp )
	Runtime:removeEventListener("enterFrame", onEnterFrame)
	Runtime:removeEventListener("touch", onScreenTouch)
	Runtime:removeEventListener("collision", onCollision)

	for i=1, timerCount, 1 do
		if mTimerList[i] ~= nil then
			timer.cancel(mTimerList[i])
		end
	end
	mTimerList = {}
	timerCount = 0

	Ads.removeButtonEventListeners()
	if isNextScreenPopUp == true then
		transition.to(screenHolder, {time = 10, onComplete = function () menuOutCompleted(nextScreenId, isNextScreenPopUp) end})
	else
		transition.to(screenHolder, {time = 10, onComplete = function () menuOutCompleted(nextScreenId, isNextScreenPopUp) end})
	end
end

return Ads
