spriteSheets = {}

function loadAnimations()
	local speedUp44x40SheetData = { width=44, height=40, numFrames=3 }
	local speedUp44x40Sheet = graphics.newImageSheet("speedUp.png", speedUp44x40SheetData)
	spriteSheets["speedUp44x40"] = speedUp44x40Sheet
	local speedUp44x40Set = {
		{ name="speedUp", sheet=speedUp44x40Sheet, start=1, count=3, time=200, loopCount=0 },
		}
	spriteSets["speedUp44x40"] = speedUp44x40Set
	local mainTableSpriteSheet253x245SheetData = { width=253, height=245, numFrames=42 }
	local mainTableSpriteSheet253x245Sheet = graphics.newImageSheet("mainTableSpriteSheet.png", mainTableSpriteSheet253x245SheetData)
	spriteSheets["mainTableSpriteSheet253x245"] = mainTableSpriteSheet253x245Sheet
	local mainTableSpriteSheet253x245Set = {
		{ name="mainTableIdle", sheet=mainTableSpriteSheet253x245Sheet, start=1, count=9, time=500, loopCount=0 },
		{ name="mainTableIdleExploded", sheet=mainTableSpriteSheet253x245Sheet, start=20, count=20, time=1000, loopCount=0 },
		{ name="mainTableExplosion", sheet=mainTableSpriteSheet253x245Sheet, start=10, count=10, time=500, loopCount=0 },
		}
	spriteSets["mainTableSpriteSheet253x245"] = mainTableSpriteSheet253x245Set
	local programmerSpriteSheet141x207SheetData = { width=141, height=207, numFrames=44 }
	local programmerSpriteSheet141x207Sheet = graphics.newImageSheet("programmerSpriteSheet.png", programmerSpriteSheet141x207SheetData)
	spriteSheets["programmerSpriteSheet141x207"] = programmerSpriteSheet141x207Sheet
	local programmerSpriteSheet141x207Set = {
		{ name="programmerIdle", sheet=programmerSpriteSheet141x207Sheet, start=1, count=18, time=400, loopCount=0 },
		{ name="programmerApplause", sheet=programmerSpriteSheet141x207Sheet, start=35, count=9, time=200, loopCount=0 },
		{ name="programmerCrying", sheet=programmerSpriteSheet141x207Sheet, start=19, count=16, time=500, loopCount=0 },
		}
	spriteSets["programmerSpriteSheet141x207"] = programmerSpriteSheet141x207Set
	local tableSpriteSheet253x245SheetData = { width=253, height=245, numFrames=42 }
	local tableSpriteSheet253x245Sheet = graphics.newImageSheet("tableSpriteSheet.png", tableSpriteSheet253x245SheetData)
	spriteSheets["tableSpriteSheet253x245"] = tableSpriteSheet253x245Sheet
	local tableSpriteSheet253x245Set = {
		{ name="tableIdleExploded", sheet=tableSpriteSheet253x245Sheet, start=21, count=19, time=1000, loopCount=0 },
		{ name="tableExplosion", sheet=tableSpriteSheet253x245Sheet, start=10, count=10, time=500, loopCount=1 },
		{ name="tableIdle", sheet=tableSpriteSheet253x245Sheet, start=1, count=9, time=500, loopCount=0 },
		}
	spriteSets["tableSpriteSheet253x245"] = tableSpriteSheet253x245Set
	local man180x170SheetData = { width=180, height=170, numFrames=9 }
	local man180x170Sheet = graphics.newImageSheet("man.png", man180x170SheetData)
	spriteSheets["man180x170"] = man180x170Sheet
	local man180x170Set = {
		{ name="manWalking", sheet=man180x170Sheet, start=1, count=8, time=500, loopCount=0 },
		{ name="manWalkingFast", sheet=man180x170Sheet, start=1, count=8, time=250, loopCount=0 },
		{ name="manStanding", sheet=man180x170Sheet, start=1, count=1, time=10, loopCount=1 },
		}
	spriteSets["man180x170"] = man180x170Set
	local alertSpriteSheet468x446SheetData = { width=468, height=446, numFrames=32 }
	local alertSpriteSheet468x446Sheet = graphics.newImageSheet("alertSpriteSheet.png", alertSpriteSheet468x446SheetData)
	spriteSheets["alertSpriteSheet468x446"] = alertSpriteSheet468x446Sheet
	local alertSpriteSheet468x446Set = {
		{ name="alert", sheet=alertSpriteSheet468x446Sheet, start=1, count=31, time=1000, loopCount=0 },
		}
	spriteSets["alertSpriteSheet468x446"] = alertSpriteSheet468x446Set
	local pig207x146SheetData = { width=207, height=146, numFrames=56 }
	local pig207x146Sheet = graphics.newImageSheet("pig.png", pig207x146SheetData)
	spriteSheets["pig207x146"] = pig207x146Sheet
	local pig207x146Set = {
		{ name="pigWalkingDrum", sheet=pig207x146Sheet, start=43, count=11, time=500, loopCount=0 },
		{ name="pigIdleDrum", sheet=pig207x146Sheet, start=22, count=10, time=500, loopCount=0 },
		{ name="pigIdle", sheet=pig207x146Sheet, start=1, count=20, time=1000, loopCount=0 },
		{ name="pigWalking", sheet=pig207x146Sheet, start=32, count=10, time=500, loopCount=0 },
		}
	spriteSets["pig207x146"] = pig207x146Set
	local levelsSpriteSheet503x503SheetData = { width=503, height=503, numFrames=6 }
	local levelsSpriteSheet503x503Sheet = graphics.newImageSheet("levelsSpriteSheet.png", levelsSpriteSheet503x503SheetData)
	spriteSheets["levelsSpriteSheet503x503"] = levelsSpriteSheet503x503Sheet
	local levelsSpriteSheet503x503Set = {
		{ name="level5", sheet=levelsSpriteSheet503x503Sheet, start=5, count=1, time=10, loopCount=1 },
		{ name="level4", sheet=levelsSpriteSheet503x503Sheet, start=4, count=1, time=10, loopCount=1 },
		{ name="level1", sheet=levelsSpriteSheet503x503Sheet, start=1, count=1, time=10, loopCount=1 },
		{ name="levelLocked", sheet=levelsSpriteSheet503x503Sheet, start=6, count=1, time=10, loopCount=1 },
		{ name="level3", sheet=levelsSpriteSheet503x503Sheet, start=3, count=1, time=10, loopCount=1 },
		{ name="level2", sheet=levelsSpriteSheet503x503Sheet, start=2, count=1, time=10, loopCount=1 },
		}
	spriteSets["levelsSpriteSheet503x503"] = levelsSpriteSheet503x503Set

end
