local gameManager = {}
local m_SplashScreen = require 'SplashScreen'
local m_Screen4 = require 'Screen4'
local m_MainScreen = require 'MainScreen'
local m_Ads = require 'Ads'
local m_Screen1 = require 'Screen1'
local m_CreditsScreen = require 'CreditsScreen'
local m_Screen2 = require 'Screen2'
local m_Screen3 = require 'Screen3'
local m_LevelsScreen = require 'LevelsScreen'
local m_Screen5 = require 'Screen5'

function gameManager.start()
	m_SplashScreen.menuIn()
end

function changeMenu(nextMenu, previousMenu, isPreviousScreenPopUp, isNextScreenPopUp)
	if nextMenu == SplashScreenMenuID then
				m_SplashScreen.menuIn()
	end

	if nextMenu == Screen4MenuID then
				m_Screen4.menuIn()
	end

	if nextMenu == MainScreenMenuID then
				m_MainScreen.menuIn()
	end

	if nextMenu == AdsMenuID then
				m_Ads.menuIn()
	end

	if nextMenu == Screen1MenuID then
				m_Screen1.menuIn()
	end

	if nextMenu == CreditsScreenMenuID then
				m_CreditsScreen.menuIn()
	end

	if nextMenu == Screen2MenuID then
				m_Screen2.menuIn()
	end

	if nextMenu == Screen3MenuID then
				m_Screen3.menuIn()
	end

	if nextMenu == LevelsScreenMenuID then
				m_LevelsScreen.menuIn()
	end

	if nextMenu == Screen5MenuID then
				m_Screen5.menuIn()
	end

end
return gameManager
