spriteSetsGame = {}
spriteSetsMenu = {}
spriteSetsShared = {}

NextScreenId = ""
PreviousScreenId = ""

SplashScreenMenuID = "SplashScreen"
Screen4MenuID = "Screen4"
MainScreenMenuID = "MainScreen"
AdsMenuID = "Ads"
Screen1MenuID = "Screen1"
CreditsScreenMenuID = "CreditsScreen"
Screen2MenuID = "Screen2"
Screen3MenuID = "Screen3"
LevelsScreenMenuID = "LevelsScreen"
Screen5MenuID = "Screen5"

currentTime = 0
deltaTime = 0

var_table1HealSpeed = 0.0005
displayWidth = display.contentWidth
var_isTrollingTable1 = false
var_table2Completed = false
var_speedUpTextReachMiddle = false
displayHalfWidth = display.contentWidth / 2
var_mainTableCompleted = false
var_isTrolling = false
var_distanceToMainTable = 0
displayHalfHeight = display.contentHeight / 2
var_table1Exploded = false
var_table3Exploded = false
var_isLevel5Locked = true
var_isGameOver = false
var_distanceToTable1 = 0
var_isLevel3Locked = true
var_isTrollingTable3 = false
var_table3HealSpeed = 0.0005
var_table1Completed = false
var_mainTableExploded = false
var_distanceToTable3 = 0
var_isLevel4Locked = true
displayHeight = display.contentHeight
var_isTrollingTable2 = false
var_table2Exploded = false
var_distanceToTable2 = 0
var_isManMoving = false
var_boostMultiplier = 1
var_table3Completed = false
var_isLevel2Locked = true
var_table2HealSpeed = 0.0005
var_isGameWin = false
var_mainTableHealSpeed = 0.002
facebookAppID = ""

function getFontName(fontName)
	local allFonts = native.getFontNames()
	local index
	for index=1, #allFonts, 1 do
		if fontName == allFonts[index] then
			return fontName
		end
	end
	return native.systemFont
end

function testNetworkConnection()
	local google = require('socket').connect('google.com', 80)
	if google == nil then
		return false
	end
	google:close()
	return true
end

function loadDataFromDisk()
	local gameData = ice:loadBox("gameDataBox")

	if gameData:retrieve("var_isLevel5Locked") == nil then
		var_isLevel5Locked = true
	else
		var_isLevel5Locked = gameData:retrieve("var_isLevel5Locked")
	end
	gameData:store("var_isLevel5Locked", var_isLevel5Locked)


	if gameData:retrieve("var_isLevel3Locked") == nil then
		var_isLevel3Locked = true
	else
		var_isLevel3Locked = gameData:retrieve("var_isLevel3Locked")
	end
	gameData:store("var_isLevel3Locked", var_isLevel3Locked)


	if gameData:retrieve("var_isLevel4Locked") == nil then
		var_isLevel4Locked = true
	else
		var_isLevel4Locked = gameData:retrieve("var_isLevel4Locked")
	end
	gameData:store("var_isLevel4Locked", var_isLevel4Locked)


	if gameData:retrieve("var_isLevel2Locked") == nil then
		var_isLevel2Locked = true
	else
		var_isLevel2Locked = gameData:retrieve("var_isLevel2Locked")
	end
	gameData:store("var_isLevel2Locked", var_isLevel2Locked)

	gameData:save()
	gameData = nil
end

function saveDataToDisk()
	local gameData = ice:loadBox("gameDataBox")
	gameData:store("var_isLevel5Locked", var_isLevel5Locked)
	gameData:store("var_isLevel3Locked", var_isLevel3Locked)
	gameData:store("var_isLevel4Locked", var_isLevel4Locked)
	gameData:store("var_isLevel2Locked", var_isLevel2Locked)
	gameData:save()
	gameData = nil
end
